KStars Revision History

To produce log below, use:

$ git log --date=short --pretty=format:"%h %ad %<(20)%an %<(150,trunc)%s"

3.8.1

1b45a3486 2026-01-29 Jasem Mutlaq         Make artficial horizon importer more permissive with spaces in files.
739157d48 2026-01-28 Jasem Mutlaq         Fix issue with completed jobs marked as aborted
14291f169 2026-01-28 Jasem Mutlaq         Set up wakeup timer for preemptive shutdown
cbf392079 2026-01-27 Jasem Mutlaq         Add diagnostic logging if dark frame cannot be found.
7d6d11c7a 2026-01-27 Jasem Mutlaq         Account for different drivers format to be backward compatible
f5d696d26 2026-01-25 John Evans           Add new debayer functionality to streamwg / videowg
72e57a657 2026-01-25 John Evans           Bug fix 515021 in focusFilterStars
5989f2f5e 2026-01-24 Wolfgang Reissenberger Fixing issues with test cases caused by UI changes
2885560d8 2026-01-22 John Evans           Live Stacking Debayering Bug for Touptek camera
19cc43856 2026-01-22 Jasem Mutlaq         Add more logging to post meridian flip actions to know why an action was skipped
7b05cd2c7 2026-01-22 Jasem Mutlaq         remove spammy logging
d8f0e2e3e 2026-01-21 John Evans           Added hot/cold pixel removal to Live Stacker
806a15140 2026-01-21 Jasem Mutlaq         Add more debug logging
9757aae0d 2026-01-20 John Evans           Bayer Refactor
3bbf3d431 2026-01-20 Jasem Mutlaq         Update to Windows 610
1beac1042 2026-01-18 Jasem Mutlaq         Also add the web manager error an alert event
5624bfea3 2026-01-18 Jasem Mutlaq         Use more resiliant method to check if INDI web manager is online and fail gracefully instead of assuming we have a running server.
cdb1421c9 2026-01-15 Jasem Mutlaq         Fix scheduler startup state reset after preemptive shutdown. When a job finishes for the night due to constraints and triggers soft shutdown, ensure..
836e5971f 2026-01-15 Jasem Mutlaq         Add filtering option and sort the HIPS entries. Also allow for partial (not all sky) surveys in the list.
c5b223583 2026-01-13 Jasem Mutlaq         In case rotator times out or has an error, abort alignment instead of waiting indefinitely.
90bb47656 2026-01-13 Jasem Mutlaq         Fix ADU based flat frames, use a signature that can match the runtime generated exposure time.
adc17c07b 2026-01-11 Jasem Mutlaq         Use explicit programatic functions to install and remove index files
be191c8d8 2026-01-11 Wolfgang Reissenberger Bugfix if built without xisf library
917e2f702 2026-01-10 Robert Lancaster     Some new macOS versions don't have the LaunchAgents folder by default
d3c0f47b3 2026-01-10 Wolfgang Reissenberger Bugfix filter change check
0f6e9c343 2026-01-10 Wolfgang Reissenberger Formatting corrected due to current formatting rules
9c86e9141 2026-01-10 Jasem Mutlaq         Only forward regular messages, skip all debug and extra
d49dbffe6 2026-01-09 Robert Lancaster     Small Fix for Data directory installation on MacOS
b9bab369d 2026-01-07 Jasem Mutlaq         Fix wcslib location
74c9ba328 2026-01-07 John Evans           Live Stacker Bug Fixes 3
83a54b18d 2026-01-07 John Evans           Added debayering for XISF files
01e6d9584 2026-01-07 John Evans           Live Stacker: Added support for XISF files
c1185b133 2025-12-21 Andreas Sturmlechner CMake: Drop obsolete silencing of warnings
fd1e73918 2026-01-05 Milhan Kim           nitpik: Fix parser handling of empty lines
a6d376010 2026-01-05 Wolfgang Reissenberger Test cases adapted for new profile editor
6f343c854 2026-01-05 Wolfgang Reissenberger Bugfix for OpenSuSE build
617e284de 2026-01-05 Milhan Kim           Artistic change: add `astyle` tooling, apply linting, ignore this change from git blame.
c0ae063cb 2026-01-02 Milhan Kim           Add astyle formatting check
f5634e359 2026-01-02 Jasem Mutlaq         Improve template manager loading and saving. When double-clicking on an item, edit it.
b56c70332 2025-12-31 Jasem Mutlaq         Fix condition where stopEkosAfterShutdown is not used.
f044e3bd4 2025-12-31 Jasem Mutlaq         Fix state machine transition when scheduler is executed again
b4d34fcab 2025-12-30 Jasem Mutlaq         Fix comet calculations for hyperbolic orbits. This should fix wrong position for comet 3I/ATLAS
97608afa5 2025-12-26 Wolfgang Reissenberger Bug fix for filter offsets and multi camera
42f5e6a29 2025-12-22 Jasem Mutlaq         Add processIndexFile instead of relying on purely UI actions to install or remove indexes.
0cbba5c67 2025-12-17 Jasem Mutlaq         Invalidate capture operations timer when in meridian flip so that it does not time out afterwards
3ffcbbb70 2025-12-17 Jasem Mutlaq         Fix new compile issue on MacOS.
b78d2ceed 2025-12-14 Paul Brown           Removed list of supporters, as we now have a less annoying way of showing them on the apps website.
33a48adff 2025-12-08 Paul Brown           Adding Emily Domingues  to list of supporters
5ab4aa0f5 2025-12-05 Jasem Mutlaq         Further improve weather scheduling by continuing to monitor safety monotor even after complete shutdown. This requires a standealone safety monitor ..
6ffb0fc69 2025-12-05 Jasem Mutlaq         Extend maximum values to give more flexibility
dbdfedc80 2025-12-04 Jasem Mutlaq         Fix issue where custom templates are not deleted
061d387ba 2025-12-04 Jasem Mutlaq         Fix issue with weather based scheduling so that it can aborts and resumes job correctly in the soft shutdown mode.
539d3ab26 2025-12-04 Jasem Mutlaq         Protect against crash due to index
9f1e382fa 2025-12-04 Jasem Mutlaq         Only disconnect devices we directly manage
3d10e7bd5 2025-12-04 Jasem Mutlaq         Fix build issue on GCC 15.
7595b73d6 2025-12-03 Jasem Mutlaq         KStars v3.8.1 Development Cycle
0cdf6392a 2025-12-02 Paul Brown           Adding @kaibojens@gruene.social to list of supporters
f5568d6c0 2025-12-02 Jasem Mutlaq         Fix compile error on Windows MSVC
900f0408b 2025-12-02 Jasem Mutlaq         Fix the remainder of the struct fixes
f3ef85a8f 2025-12-02 Jasem Mutlaq         Make it compile on MSVC
044293f87 2025-11-30 Daniel Kauser        The string "Open" in ekos/observatory/observatory.cpp:416 was used to indicate the state of a roll-off roof (i.e. "roof is open"), but the same stri..

3.8.0

b6c2a8b73 2025-11-29 Jasem Mutlaq         Fix the root cause of remote-disconnect crashes in flatpaks.
1a4447a2b 2025-11-29 Jasem Mutlaq         Fix wildcard disconnects reported by Pushto Assistant and release it from Manager
0d151641b 2025-11-29 Jasem Mutlaq         Add more protections againt flatpak crash that occasionally happens on remote disconnect
cfd8991eb 2025-11-28 Jasem Mutlaq         Fix possible crash when disconnecting from remote host due to clientManager signals
508e165b1 2025-11-27 Jasem Mutlaq         Fix crash KSTARS-54 reported in Sentry
75c935b89 2025-11-26 Yuri Chornoivan      Fix minor typos
b48c05aec 2025-11-25 John Evans           Live Stacker: Create RGB and LRGB images from individual mono subframes
f42a2b7a9 2025-11-24 Jasem Mutlaq         When restarting capture, update job captured frame map from module state
c0b85a81d 2025-11-24 Jasem Mutlaq         Fix crash when connecting to remote host because the clientManager was not set in the driver information.
673201846 2025-11-23 Jasem Mutlaq         Support driver_source so that we can run INDI drivers from within the flatpak
3e46eb947 2025-11-16 Jasem Mutlaq         Migrate Filter Manager to use modern INDI Properties
193e01fb6 2025-11-15 Jasem Mutlaq         Fix issue with J2000 getting set by default in Mount Control Panel. Fix bi-direcitonal sync between mount target position in Ekos Mount tab and Cont..
7f26aab1b 2025-11-14 Jasem Mutlaq         Increase flatpak timeout to 2 hours
80027ad13 2025-11-14 Jasem Mutlaq         Fix regression where capture format and encoding are reset whenever they are changed in INDI. It should retain the current values in the current edi..
567b47e12 2025-11-14 Jasem Mutlaq         Use more recent eigen
257535b0c 2025-11-14 Jasem Mutlaq         Update to libgphoto2 v33
3e73d095d 2025-11-14 Jasem Mutlaq         Use the offline HIPS path since it can be a custom location
62111f7bb 2025-11-13 Yuri Chornoivan      Fix minor typo
113178b26 2025-11-12 John Evans           Live Stacking - ImageMM Stacking Method
dc9b44f27 2025-11-12 Jasem Mutlaq         Fix shutdown completion issue with queue task executor
0e3b5facc 2025-11-11 Jasem Mutlaq         Explicitly use flatpak-amd64
0514cf3b1 2025-11-11 Jasem Mutlaq         Add flatpak-arm64
c6166f6ca 2025-11-10 Jasem Mutlaq         Safety Monitor should always override internal weather driver unless the internal weather driver reports worse conditdions. Use Safety instead of we..
50c4b0786 2025-11-10 Jasem Mutlaq         Fix various Safety monitor issues
6dc12e8c4 2025-11-10 Jasem Mutlaq         Use INDI Safety Monitor driver as the standealone option for observatory safety monitoring
eef5c5181 2025-11-10 Jasem Mutlaq         Revert "Reuse calibration after rotation: Part 2"
06c6d1f1e 2025-11-09 Jasem Mutlaq         For system collections, allow failure when driver interface is not found by skipping to next item in the list.
ba8fb216b 2025-11-09 Jasem Mutlaq         Fix crash
87eb6f741 2025-11-08 Wolfgang Reissenberger Improvements for the Push-to Assistant
9efe410b1 2025-11-08 Jasem Mutlaq         Fix warnings
bbac9c7b2 2025-11-08 Jasem Mutlaq         Continue migrating away from legacy INDI properties
d567f414e 2025-11-08 Jasem Mutlaq         Migrate from obsolete to new INDI properties. Remove obsolete properties and functions no longer used.
74d5916cf 2025-11-07 Jasem Mutlaq         Correctly execute post-startup procedure when recoving from soft-shutdown
aa8aee0eb 2025-11-07 Jasem Mutlaq         Remove obsolete option
f749fa7ca 2025-11-07 Jasem Mutlaq         Add support to dedicated weather driver for scheduler startup safety checks
bf80f63d4 2025-11-07 Jasem Mutlaq         Support non-blocking connection
75185d821 2025-11-07 Jasem Mutlaq         Improve default template. Fix evaluate and set actions as set should not do any evaluation at all.
1c500f8f4 2025-11-07 Jasem Mutlaq         Do not use INDI pointers
dcdd5bcab 2025-11-06 Jasem Mutlaq         Add delay task
52a0ad4e8 2025-11-06 Jasem Mutlaq         Scheduler tasks
6eab7ad23 2025-11-02 Eric Dejouhanet      ci: merge flatpak jobs, keep manual option for publishing recipes.
54c08e15d 2025-08-18 Sertonix Norson      Fix test link failure on PowerPC
5dfca224c 2025-11-02 Jasem Mutlaq         Fix scheduler startup and shutdown scripts
519fb28da 2025-11-02 Jasem Mutlaq         Remove flatpak section as it is detailed in the downloads section
d02ed2c12 2025-10-30 Jasem Mutlaq         Get rid of obsolete term "CCD" and replace it with "Camera"
4cdc57f52 2025-10-29 Jasem Mutlaq         Focus and Align module will unpark dustcap if parked and is part of the active optical train
f215852a6 2025-10-29 Jasem Mutlaq         Prevent premature alignment run if there are no more light frames in the job
a3fe017c9 2025-10-28 John Evans           Live Stacker i18n Bug fix - Attempt 2
e691c9b30 2025-10-28 John Evans           Live Stacker: Fix i18n issues
9196f73e8 2025-10-27 Eric Dejouhanet      feat: flatpak nightlies
c3faadd69 2025-10-27 Eric Dejouhanet      feat: flatpak nightlies
429145bf5 2025-10-25 Jasem Mutlaq         Do not cover dust cap when capturing sky flats.
2de503cbf 2025-10-25 Yuri Chornoivan      Fix minor typo
d0bc97040 2025-10-24 Jasem Mutlaq         Fix setFrame when loaded from XML as DARK was incorrectly decoded as BIAS frame.
0e7d8986d 2025-10-24 Jasem Mutlaq         Check indiversion.h first for version information
76ef541ef 2025-10-24 Luigi Toscano        metainfo: update the link to the user documentation
6d460bd03 2024-11-01 Akarsh Simha         Prefix HiPS actions with `hips:`, and use objectName() to identify the HiPS choice
b681caf82 2024-10-31 Akarsh Simha         Prefix FOV actions' internal names (objectName()) with 'fov:'
03e44fbb0 2024-10-31 Akarsh Simha         Add a number of DBus methods allowing almost complete programmatic control over the sky map
6d0a1b475 2024-10-31 Akarsh Simha         Refactor slotApplySkyMapView to return whether the view exists
a4d58f980 2024-10-31 Akarsh Simha         Expose width and height in DBus method getDSSURL
64ee1b567 2025-10-24 Jasem Mutlaq         Limit Az and Alt errors
bab543bb1 2025-10-24 Toni Schriber        Reuse calibration after rotation: Part 2
22f633382 2025-10-23 Hy Murveit           Remove parents from constructors of objects pointed to by QSharedPointer
10e244942 2025-10-23 Hy Murveit           Remove parent from CameraProcess
24699a0d7 2025-10-21 Hy Murveit           Fix issue in FITS Solver, need to disconnect signals in callbacks
e45a99372 2025-10-21 John Evans           Live Stacking Monitor
0e6ce5fe2 2025-10-21 Hy Murveit           Convert Align module to SolverUtils
c32bc1e42 2025-10-21 Jasem Mutlaq         Ignore empty or temporary files
51f9b451f 2025-10-20 Hy Murveit           Fix bug in one-pulse-dither, update logging
93a34fb7c 2025-10-20 Hy Murveit           Improve the randomness of dithering
3d6ddd7fa 2025-10-20 Jasem Mutlaq         Fix issue where media messages were not uploading when client state was false but cloud was on
6c714d536 2025-10-19 Jasem Mutlaq         Fix re-definition
f2ae78fad 2025-10-19 Jasem Mutlaq         Add INDI mount homing support
9f3415f2b 2025-10-19 Yuri Chornoivan      Fix minor typo
d5b5ca12d 2025-10-18 Wolfgang Reissenberger Push-To Assistant
250af79e8 2025-10-16 Hy Murveit           Fix issue in analyze stats font size
6ef028328 2025-10-14 Hy Murveit           Try to get the text to fit in the stat boxes
d40ed1dca 2025-10-13 Wolfgang Reissenberger Placeholder %cam removed
cde7b9370 2025-10-13 Jasem Mutlaq         Starting KStars v3.8.0 development cycle
da992c936 2025-10-12 Jasem Mutlaq         Fix windows warnings
330250e11 2025-10-12 Jasem Mutlaq         Update .gitlab-ci.yml file
10c6aef50 2025-10-12 Jasem Mutlaq         use Qt 6.10
3555eca8a 2025-10-12 Jasem Mutlaq         Fix Toupcam EFW and AAF names
ce53888e6 2025-10-12 Jasem Mutlaq         Make it compile with Qt 6.10
223e9b661 2025-10-06 Jasem Mutlaq         Do not use i18n as constants as they will break KStars translation. Always use KLocalizedString.
1ca86b042 2025-10-04 Ben Cooksley         Disable verbose makefile as it just generates noisy logs that aren't helpful and take up Gitlab server space
9b425cff9 2025-10-03 Hy Murveit           fix bug in sequence editor
437f324b2 2025-10-03 Wolfgang Reissenberger Bug fix for new placeholders for camera and hostname
dcecc3b99 2025-10-03 Jasem Mutlaq         Do NOT enable MOUNT altitude limits when we have scheduler altitude limits, they are completely two different concepts

3.7.9

8cd70e12b 2025-10-02 Jasem Mutlaq         INDI Sync
3b71b2e6e 2025-10-01 Wolfgang Reissenberger Placeholders for camera and hostname added
8e2d7b2e0 2025-10-01 Jasem Mutlaq         Send time formatted only in ISO
64971d737 2025-10-01 Dušan Poizl          Add zoom and pan when using colimation overlay
be9f74a65 2025-10-01 Ed Lee               Fixes observatory default weather source
d77154f99 2025-10-01 John Evans           Add debug to help diagnose Filter Offsets bug
24a44d934 2025-09-30 Jasem Mutlaq         Add capabilitiy to return additional days for riseset times
4d8d1eed3 2025-09-30 Hy Murveit           Correct bug in paa calculation
0cf2865df 2025-09-28 Jasem Mutlaq         Update README since few information was out of date. Add Qt6 instructions and how to install on Arch linux. Update documentation website.
f6772eb95 2025-09-28 Hy Murveit           Bugfix: image overlays only fetched first 256 overlays from the database
f121f9a30 2025-09-26 Kunda Ki             Fix various typos (cont.)
09137df75 2025-09-26 Jasem Mutlaq         Fix an issue where EkosLive credentials were not saved unless all managers are connected which is not required
6b4995449 2025-09-24 Jasem Mutlaq         Fix default settings
d95ff263a 2025-09-23 Jasem Mutlaq         use DYNAMIC_THRESHOLD_STARS
4bff7ba31 2025-09-23 Jasem Mutlaq         Behave similar to the other blind operations
d5a6c780d 2025-09-23 Jasem Mutlaq         Initial work on dynamic threshold
0335043c2 2025-09-22 John Evans           Live Stacker: Fix to compile directives for openSUSE (No OpenCV)
d36fe40f9 2025-09-22 Kunda Ki             Fix various typos (cont.)
4367e0f5e 2025-09-22 Hy Murveit           Add overlay button to fits solver
a49c14080 2025-09-19 Kunda Ki             Fix various typos
f4696df65 2025-09-19 Jasem Mutlaq         Fix searching for Henry-Draper deep sky stars in the star component.
934e99d19 2025-09-19 Jasem Mutlaq         Update target horizontal coordinates before calculating diff
bba5e95d5 2025-09-17 Jasem Mutlaq         Fix INDI properties pointer issue. Send dAZ and dAL in report
70970cc73 2025-09-17 Hy Murveit           Make image overlays work with (stretched) fits files
0738946e8 2025-09-15 John Evans           LiveStacker UI Refactor
32c52a4af 2025-09-14 Jasem Mutlaq         Use KDE_INSTALL_DATADIR
a92a86aba 2025-09-13 Jasem Mutlaq         Add missing Sync dbus function
98a7f4c07 2025-09-09 Andreas Sturmlechner Drop obsolete KDocTools dependency
b67c55e34 2025-09-11 Jasem Mutlaq         Remove KCrash from test files
35b981f8e 2025-09-11 Jasem Mutlaq         Do not bundle sentry but link against the shared library instead
4a47f73ea 2025-08-26 Jasem Mutlaq         Disable senty unless explicitly enabled by ENABLE_SENTRY flag
64fe7d2fa 2025-08-21 Jasem Mutlaq         More work
3090cdd7c 2025-08-18 Jasem Mutlaq         Initial sentry integration
2896bb167 2025-09-07 Jasem Mutlaq         Minor fixes to INDI migration
324fcd359 2025-09-02 Jasem Mutlaq         Migrate to new INDI properties
3c6d67018 2025-09-06 Wolfgang Reissenberger Bug fix scheduler hanging after alignment
e18d69b3e 2025-09-06 Wolfgang Reissenberger Bugfix PHD2 abort during dithering
482ba4dbc 2025-09-01 Jasem Mutlaq         Migrate to modern INDI properties usage
89020c0cf 2025-09-01 Jasem Mutlaq         Move mount status functions to INDI::Mount and update both scheduler and Analyze to utilize them
19ebcd238 2025-09-01 Jasem Mutlaq         Use multithread logs to improve performance and reliability
e11877787 2025-08-29 Jasem Mutlaq         Add missing opencv video component
327337ba5 2025-08-29 Jasem Mutlaq         use Windows qt69
c08b5e1e7 2025-08-29 Jasem Mutlaq         Update .gitlab-ci.yml file
352a16cf0 2025-08-29 Jasem Mutlaq         GNU savannah is unreliable and causes many flatpak failures so switch to INDI library hosting.
1748f52c1 2025-07-26 Kevin Hester         Update README with current build instructions for fedora
1f0d1c03b 2025-08-18 Sertonix Norson      Fix build failure when qsizetype is not long long
a9103dfb4 2025-08-26 Jasem Mutlaq         Fix cmake error
207f9e882 2025-08-26 Jasem Mutlaq         Remove highgui from flatpak and debian dependencies
6791a3feb 2025-08-26 John Evans           Remove OpenCV highgui component
cd978feca 2025-08-25 Jasem Mutlaq         Fix crash due to invalid mount index
c52f11908 2025-08-25 Jasem Mutlaq         Use a single flat BUILD_WITH_QT6 instead of BUILD_QT5 since BUILD_WITH_QT6 is used by KDE CI
1661bc294 2025-08-25 Jasem Mutlaq         Check if imageData is valid
74b40e26e 2025-08-22 Jasem Mutlaq         Need to use QT_MAJOR_VERSION as KDE EMC scripts use this value
2283192bd 2025-08-22 Jasem Mutlaq         Bump versions
4a538182f 2025-08-22 Jasem Mutlaq         BUILD_WITH_QT6 should not be used
eda50f933 2025-08-22 Jasem Mutlaq         Need to move the includes before find_package(Qt6 ...) since this affects the share directory on Windows.
787cff059 2025-08-21 Robert Lancaster     Fixing the MacOS Data Directory install commands to make them more reliable
00b26e3e9 2025-08-21 Jasem Mutlaq         Do not reconnect while already in progress
39b614e9b 2025-08-20 Jasem Mutlaq         Enable OpenCV for Windows
14201572d 2025-08-18 Jasem Mutlaq         Possible fix for occasional internal locks in Qt6
346eed0b8 2025-08-17 Jasem Mutlaq         Use client state for message channel as well with exception for notifications
1876f0c09 2025-08-17 Jasem Mutlaq         remove obsolete messages from ekoslive
4f1e8dfb0 2025-08-15 Jasem Mutlaq         Add one more sanity check
995df92fe 2025-08-15 Jasem Mutlaq         Add more logging to job evaluation
ac3c6dd96 2025-08-14 Hy Murveit           fix qt5 compile
a2a296c46 2025-08-14 Hy Murveit           Fits34
3ed744d4f 2025-08-14 Jasem Mutlaq         Update appdata as well
c46ac1a96 2025-08-14 Hy Murveit           Create MinimizeWidget, refactor ImagingPlanner to use it.
358afe11b 2025-08-14 Jasem Mutlaq         KStars 3.7.9 development release cycle
25bbdfe30 2025-08-13 Jasem Mutlaq         guiding should use value not text
d3678ea12 2025-08-11 Jasem Mutlaq         We no longer have docs to install
0a4d97a05 2025-08-10 Jasem Mutlaq         INDI drivers sync
e533b3d68 2025-08-10 Robert Lancaster     Fixing some kstars file installs for the qt6 build for macOS and changing the phonon backend
ba20b07ad 2025-08-10 Ben Cooksley         Both KStarsLib and KStarsLiteLib link to LibKSDataHandlers. Stop double linking to them as this upsets MSVC
5b5c46605 2025-08-10 Ben Cooksley         Port logic for Windows Store publishing to Qt 6
d9778525f 2025-08-10 Ben Cooksley         We no longer need a custom stage order, re-inherit the default workflow staging
363050b9f 2025-08-10 Ben Cooksley         Android Qt 5 is no longer a thing, remove this mention
8bf49dd32 2025-08-10 Ben Cooksley         JSON schema validation passes, make this job mandatory again
a75bd5a5b 2025-08-10 Ben Cooksley         Remove comments which are not valid JSON, how VSCode ingests this....
65fc5a30d 2025-08-10 Ben Cooksley         Apply a core usage limit to KDE CI based jobs
4da093916 2025-08-07 Jasem Mutlaq         use count method for accurate and necessary driver total

3.7.8

966e771ff 2025-08-07 Jasem Mutlaq         Fix modules not getting created due to sync devices mismatch                                                                                          
f5ca7ce46 2025-08-03 Jasem Mutlaq         Fix ekoslive client not to prevent from sending unnecessary media messages                                                                            
82d766373 2025-08-01 Jasem Mutlaq         reset capture state to CAPTURE_PROGRESS to allow aligntment retries to continue. Only reset counter after MF is completed.                            
8e808928f 2025-08-02 Kristen McWilliam    ci: require passing tests on all platforms                                                                                                            
4569798e1 2025-08-02 Jasem Mutlaq         Capture widget should not reset when dithering is active                                                                                              
790729548 2025-08-02 Wolfgang Reissenberger Editor loads current job's sequence                                                                                                                   
a56994d22 2025-08-01 John Evans           Live Stacker fix compiler directive issue with MR1530                                                                                                 
2833dd4b3 2025-08-01 Jasem Mutlaq         Use better Sun texture that fills the whole FOV.                                                                                                      
3abeef52a 2025-08-01 Wolfgang Reissenberger Use the static filter offset if adaptive start position is not used                                                                                   
adc84ab1e 2025-07-31 Eric Dejouhanet      chore(ci): relax suse-st515 until we fix stellarsolver dep.                                                                                           
3c3a44d1c 2025-07-27 John Evans           Live Stacking Improved Debug and Performance Improvements                                                                                             
655ea26a3 2025-07-20 Wolfgang Reissenberger Consider guiding settle value when starting after paused                                                                                              
de203ff31 2025-07-24 John Evans           Live Stacking Darks and Flats                                                                                                                         
ead7f976b 2025-07-23 Josep M. Ferrer      Fix minor typo (prcess -> process)                                                                                                                    
1e6aa820c 2025-07-22 John Evans           Optionally run Live Stacker as a separate process                                                                                                     
796e6da58 2025-07-19 Wolfgang Reissenberger Draft: Focus history navigation                                                                                                                       
a7e456f98 2025-07-16 Hy Murveit           Add stack size to tab name, allow configurable tab names.                                                                                             
387407817 2025-07-16 Wolfgang Reissenberger Bug fix for handling videos in capture sequence files                                                                                                 
3bc9b2f1d 2025-07-16 Hy Murveit           Update QT macros in kstars.h                                                                                                                          
471f3e207 2025-07-15 Yuri Chornoivan      Fix typos in messages                                                                                                                                 
0d01ffc2f 2025-07-15 John Evans           Focus: Terminate long running star detection when user aborts Autofocus                                                                               
d0d0b7ffc 2025-07-15 John Evans           Fix Blink skipping a frame on the first advancement                                                                                                   
96f0211a3 2025-07-14 Wolfgang Reissenberger PAA arrow size calculation corrected                                                                                                                  
606987cce 2025-07-14 John Evans           Live Stacking Qt6 connect statement bug fix                                                                                                           
a59bad1e6 2025-07-14 John Evans           Live Stacking                                                                                                                                         
56aae653c 2025-07-14 Hy Murveit           Remove QSharedPointer/parent conflict in manager                                                                                                      
8acb7ad39 2025-07-08 Jasem Mutlaq         Move the framing assistant toggle to scheduler                                                                                                        
1d6287955 2025-07-08 Jasem Mutlaq         Update completition and completionarg in GUI                                                                                                          
458dcf16b 2025-07-07 Wolfgang Reissenberger PAA arrow location optimized                                                                                                                          
a75ab9b95 2025-07-06 Hy Murveit           Remove printout                                                                                                                                       
6336d46a0 2025-07-07 Jasem Mutlaq         Add setCenter invokable method                                                                                                                        
22f54a490 2025-07-07 Marco Gulino         Merge remote-tracking branch 'origin/master' into fix/fitsdata_wcs_keys                                                                               
f6887bbfb 2025-07-07 Hy Murveit           Improve fitsviewer stretch sliders, add stretch presets.                                                                                              
60e33f76a 2025-07-06 John Evans           Focus incorrectly moves ROI to top left of image on non-star based focus measures                                                                     
81b43f6da 2025-06-30 Nicolas Fella        Remove stellarsolver from .kde-ci.yml                                                                                                                 
ecd8e705d 2025-07-06 John Evans           Fix timeDilation widget greyed out                                                                                                                    
09003c1a4 2025-07-06 Jasem Mutlaq         completionCondition and completionConditionArg added to property system                                                                               
9028d3116 2025-07-06 Jasem Mutlaq         Change branch to master                                                                                                                               
bee05abc7 2025-07-05 Jasem Mutlaq         Add libusb.json required for flatpak                                                                                                                  
8319a05e9 2025-07-05 Jasem Mutlaq         Expose version and release type via DBus                                                                                                              
cd774bbf8 2025-07-05 Jasem Mutlaq         Add additional check to prevent from some rare crashes in case the pointer is no longer valid.                                                        
9382ebf69 2025-07-03 Jasem Mutlaq         Support new method for setting all drivers                                                                                                            
417391e5e 2025-07-02 Jasem Mutlaq         Upddate manifest after flathub changes                                                                                                                
c012e32ac 2025-07-01 Marco Gulino         Merge remote-tracking branch 'origin/master' into fix/fitsdata_wcs_keys                                                                               
33461efcf 2025-07-01 Marco Gulino         Use space separated format for fits OBJCRA/DEC                                                                                                        
bfd39734f 2025-07-01 Wolfgang Reissenberger Bug fix for optical train instance handling                                                                                                           
e7469a704 2025-06-30 Jasem Mutlaq         Separate scheduler settings to its own file                                                                                                           
3d0268559 2025-06-30 Eric Dejouhanet      feat: qt6 support.                                                                                                                                    
d53baf60c 2025-06-29 Jasem Mutlaq         Skip duplicate binaries when adding managed drivers in local mode                                                                                     
a0e6c636c 2025-06-29 Jasem Mutlaq         Log if guiding should be resumed after meridian flip                                                                                                  
ee1a2ffd9 2025-06-29 Jasem Mutlaq         Fix QSize argument parse from QJsonObject                                                                                                             
30293b01e 2025-06-29 Jasem Mutlaq         Only apply icon theme if not inside a flatpak                                                                                                         
d834d7cc2 2025-06-28 Ben Cooksley         Cut off previous error                                                                                                                                
2cec0c14d 2025-06-24 Jasem Mutlaq         Send useful JSON payload to post capture and post job scripts                                                                                         
93ab80507 2025-06-24 Jasem Mutlaq         Make framing assistant class consistent in how it uses member variables as the single source of truth instead of relying on a mix of member and ui d..
49e09e764 2025-06-24 Jasem Mutlaq         Fix format warning                                                                                                                                    
21b2b5d7e 2025-06-24 Jasem Mutlaq         Fix compile error                                                                                                                                     
e4c10f82f 2025-06-24 Jasem Mutlaq         Remove obsolete files                                                                                                                                 
ad997c97d 2025-06-22 Jasem Mutlaq         Protect against duplicate drivers                                                                                                                     
ada5febdc 2025-06-22 Jasem Mutlaq         Fix warnings                                                                                                                                          
3a537daf4 2025-06-21 Marco Gulino         Fix: use  human readable (HMS/DMS) values for OBJCTRA/OBJCTDEC                                                                                        
ee9db8875 2025-06-17 Jasem Mutlaq         INDI Sync                                                                                                                                             
0ebcc1cd6 2025-06-17 Jasem Mutlaq         Fix missing -D                                                                                                                                        
4999fee9a 2025-06-17 Jasem Mutlaq         Improve stretch                                                                                                                                       
34b63ccd7 2025-06-17 Jasem Mutlaq         Fix toJSON and always add by label                                                                                                                    
92316516e 2025-06-17 Jasem Mutlaq         Remove deleted file                                                                                                                                   
5cdc1e417 2025-06-16 Jasem Mutlaq         Add new profiles feature                                                                                                                              
0c204f3a4 2025-06-16 Jasem Mutlaq         Also handle unknown server error                                                                                                                      
bd14d9915 2025-06-15 Jasem Mutlaq         Update version                                                                                                                                        
737125a49 2025-06-13 Jasem Mutlaq         Remove Qt5 and build with Qt6                                                                                                                         
a20372fa4 2025-06-13 Jasem Mutlaq         Applly partial Qt6 support from Eric MR                                                                                                               
654c82092 2025-06-13 Jasem Mutlaq         Use qt6 for CI and fix flatpak manifest                                                                                                               
a7e382dc2 2025-06-13 Jasem Mutlaq         Add flatpak manifest and fix theme in flatpak. Fix warnings for deprecated functions                                                                  
778bd76f0 2025-06-11 Jasem Mutlaq         Improve reconnection logic                                                                                                                            
af85c7f1f 2025-06-10 Jasem Mutlaq         INDI driver sync                                                                                                                                      
e7c36a7c3 2025-05-27 Jasem Mutlaq         Break the huge camera file into smaller files                                                                                                         
fa421dac1 2025-06-10 Jasem Mutlaq         Always use KLocalizedString in such situation otherwise the application will fail to switch other languages.                                          
ee91db949 2025-06-09 Jasem Mutlaq         On auth error, set reauthenticating to false.                                                                                                         
58c191fbe 2025-06-06 Hy Murveit           Call abort when guide state is settle                                                                                                                 
daabcffe5 2025-06-04 Hy Murveit           PAA--new test and update algorithm improvement                                                                                                        
8b566531c 2025-06-04 Jasem Mutlaq         Starting 3.7.8 development cycle                                                                                                                      
d6f86e3aa 2025-06-04 Jasem Mutlaq         Merge remote-tracking branch 'upstream/stable-3.7.7'                                                                                                  
ad4375260 2025-06-03 Jasem Mutlaq         Disable OpenCV on Windows until Craft fixes the package                                                                                               
60c2d747c 2025-06-01 Jasem Mutlaq         Fix a regression introduced by 8efc2c112035b89241a07f3bb3f9923fe3688396 with hopefully a better fix                                                   
ff329cbb5 2025-06-01 Jasem Mutlaq         Ok now try to use system own OpenCV CMake exports                                                                                                     
7968dd8b0 2025-06-01 Jasem Mutlaq         Test if this FindOpenCV can work on Windows in Craft                                                                                                  
b7ae8d50b 2025-05-31 Jasem Mutlaq         Do not reconnect if we explicitly disconnected                                                                                                        
ce62fbd78 2025-05-31 Jasem Mutlaq         Proactively reconnect all managers.                                                                                                                   
fb9e10684 2025-05-31 Jasem Mutlaq         Remove docs as they are maintained in a separate repo now. 3.7.7 release                                                                              

3.7.7

5b0460403 2025-05-31 Jasem Mutlaq         More logging                                                                                                                                          
8707363e6 2025-05-30 Jasem Mutlaq         Add more logging                                                                                                                                      
af8f6e2a2 2025-05-30 Jasem Mutlaq         Reconnect if token expires                                                                                                                            
513f89d5f 2025-05-28 Jasem Mutlaq         Fix issue with over syncing generic devices. Fix issue #238                                                                                           
8efc2c112 2025-05-27 Jasem Mutlaq         Do not update mount coordinates when parked                                                                                                           
d7575b7d6 2025-05-26 Jasem Mutlaq         Fix issue where ROI statistics were not calculated after a new image is captured. Also, make the ROI statistic visible all the time instead of just ..
5ba8ac95a 2025-05-22 Jasem Mutlaq         1. Remove last remnant of INDI Hub 2. Some devices take time to define their properties after connection is established, and therefore we need to wa..
9f9461271 2025-05-22 Jasem Mutlaq         Remove any traces of INDI hub as the project is dead                                                                                                  
6dc3ede48 2025-05-13 Jasem Mutlaq         Initial flatpak support                                                                                                                               
b88e8184e 2025-05-22 Jasem Mutlaq         Fix custom INDI Web Manager path                                                                                                                      
1baeb7b29 2025-05-22 Jasem Mutlaq         Project against KStars crash on shutdown when INDI is online.                                                                                         
9827c0852 2025-05-21 Hy Murveit           Remember window geometry for kstars, ekos, indi and fits windows                                                                                      
5a45dee9b 2025-05-20 Jasem Mutlaq         Add elevation to the location payload                                                                                                                 
cdf683e29 2025-05-20 Hy Murveit           Fix bad PAA algorithm for computing Az/Alt adjustments                                                                                                
cb6cb2abe 2025-05-18 Eric Dejouhanet      fix(phd2): unpause before stop when aborting.                                                                                                         
b10e4e3f4 2025-05-17 Eric Dejouhanet      fix(phd2): reset connection state when socket is found vanished.                                                                                      
190e2b23d 2025-05-17 Eric Dejouhanet      fix(phd2): fix missing delete on socket state timer.                                                                                                  
1c7e05041 2025-05-17 Eric Dejouhanet      fix(phd2): read server state periodically.                                                                                                            
a42944026 2025-05-17 Eric Dejouhanet      fix(phd2): resuming when paused instead of starting.                                                                                                  
5152cd7eb 2025-05-19 Jasem Mutlaq         KStars inside flatpak apparently cannot access machine id from QSysInfo so I added a KSUtil function to read it directly from system                  
ba56fdda3 2025-05-17 Jasem Mutlaq         Add more logging to effective focal length calculations                                                                                               
3bb120dc6 2025-05-17 Sebastian Krauthauser Add SX Cameras to Exposure Calculator                                                                                                                 
dfe3ce181 2025-05-17 Wolfgang Reissenberger Bugfix creating a darks library using camera tabs                                                                                                     
053d4fb99 2025-05-15 Salman Naheed        Feature/fix astrometry file download                                                                                                                  
d5dfe3240 2025-05-15 Sebastian Krauthauser Updated Exposure Calculator Logic                                                                                                                     
70035ca19 2025-05-15 Sebastian Krauthauser Adding missing cameras from Exposure Calculator list                                                                                                  
ac4ba685e 2025-05-14 Hy Murveit           Fix bug in repeat all sequences, rename widget                                                                                                        
9149cb14d 2025-05-14 Jasem Mutlaq         Add a configurable delay period whe detecting WEATHER_ALERT before starting the actual soft shutdown procedure.                                       
b14471a0d 2025-05-13 Hy Murveit           UI tweak--hidden columns were unhidden on date change                                                                                                 
57413665a 2025-05-12 Hy Murveit           fix great-circle bug                                                                                                                                  
6cfee920c 2025-05-11 Hy Murveit           Update scheduler empty plan messaging, include job completion reason.                                                                                 
45d696c4a 2025-05-11 Jasem Mutlaq         Remove duplicate include                                                                                                                              
112d61819 2025-05-10 Jasem Mutlaq         Fix crashes in focus module and scheduler process. Fix headers for Qt6                                                                                
e734ed172 2025-05-08 Jasem Mutlaq         Fix reconnect issue when token is invalid.                                                                                                            
c6b8e0e50 2025-05-05 Jasem Mutlaq         Reconnect signals after reconnection                                                                                                                  
d2464daf5 2025-05-05 Jasem Mutlaq         Fix issue when dome is reconnected. When dome is disconnected, all controls are disabled but there were not enabled when dome is connected again. Th..
4ad3e3777 2025-05-04 John Evans           Focus Param Fix                                                                                                                                       
89d6f6362 2025-05-01 Hy Murveit           Add an up/down sort-order arrow to the imaging planner table header                                                                                   
4c100fa72 2025-05-01 Hy Murveit           Change misleading time menu wording when real-time clock in use.                                                                                      
14d1dcde7 2025-05-01 Jasem Mutlaq         Align mount widget in center                                                                                                                          
93f6381cb 2025-04-28 Hy Murveit           Add developer option to not sync clock to real time when Ekos starts                                                                                  
8d9fe3bea 2025-04-28 Hy Murveit           Fix bug in immediate restart                                                                                                                          
edc7415ca 2025-04-25 Wolfgang Reissenberger Bugfix refactoring deprecated null check                                                                                                              
7b825ff76 2025-04-24 Ed Lee               Fixes for extension discovery and conf testing                                                                                                        
19e1c3666 2025-04-23 Hy Murveit           Fix ugly formatting in opsekos                                                                                                                        
3da5af56e 2025-04-23 Wolfgang Reissenberger Show guiding image for PHD2                                                                                                                           
033706e16 2025-04-22 Hy Murveit           Allow scheduler altitude graph to show daytime jobs if some are scheduled                                                                             
0369623f5 2025-04-22 Hy Murveit           Create a new guider timer dedicated to dither settling.                                                                                               
ff7857747 2025-04-22 Eric Dejouhanet      chore(ci): reduce compute resources.                                                                                                                  
90ac60da3 2025-04-21 Yuri Chornoivan      Fix minor typos                                                                                                                                       
d0b8578c0 2025-04-20 Hy Murveit           New Linear and Hysteresis Guiders                                                                                                                     
8d6c2cacd 2025-04-19 Hy Murveit           ImagingPlanner bugfix on ok/cancel popup                                                                                                              
ef11946c5 2025-04-18 Jasem Mutlaq         Fix build on Windows                                                                                                                                  
a0f1fa382 2025-04-18 Jasem Mutlaq         Fix scheduler clear and improve the manual button                                                                                                     
21b731bca 2025-04-16 Wolfgang Reissenberger Bug fixes for capture counts on the manager tab                                                                                                       
acd47bb66 2025-04-15 Eric Dejouhanet      CI/CD Documentation                                                                                                                                   
5c5a42a0f 2025-04-15 Hy Murveit           Changing the dreaded Empty Plan error message                                                                                                         
279edc246 2025-04-15 Ed Lee               Added pre & post driver shutdown scripts                                                                                                              
172079c57 2025-04-14 Hy Murveit           Fix analyze bug computing guide rms error                                                                                                             
2c7e2dd3d 2025-04-11 Hy Murveit           Remove unnecessary multiplier for guide RMS error and improve the analyze guide rms too                                                               
d1acb4973 2025-04-12 Wolfgang Reissenberger Capture preparation logging                                                                                                                           
917ca1a13 2025-04-10 Robert Lancaster     Fixing a DBus issue and 2 Qt6 issues                                                                                                                  
441b9a91c 2025-04-10 Jasem Mutlaq         Fix compile error on Qt6                                                                                                                              
14e98a6c5 2025-04-01 Alessandro Astone    Fix access by key on QJsonValue                                                                                                                       
47d9fe5b2 2025-04-08 Hy Murveit           Tickle the scheduler altitude graph every hour during long scheduler sleeps                                                                           
385db96ec 2025-04-07 Jasem Mutlaq         Migrate INDI Properties usage to use moderm INDI properties.                                                                                          
b76d1f6ff 2025-03-19 Hy Murveit           Add skymap command ctrl-alt-shift mouse-drag to rotate the FOV symbols and add degrees display on the rect FOV.                                       
45f8eaa15 2025-03-15 Hy Murveit           ImagingPlanner tool for framing images                                                                                                                
933b43b70 2025-04-04 Hy Murveit           Add Ekos help--links to new doc site                                                                                                                  
6e9a9e835 2025-04-04 Eric Dejouhanet      fix: update custom build CI.                                                                                                                          
2f77f07ab 2025-04-04 Eric Dejouhanet      fix: update index sources in custom build image.                                                                                                      
4dfae9cd8 2025-04-04 Eric Dejouhanet      fix: update index sources in custom build image.                                                                                                      
9e3238253 2025-04-03 Jasem Mutlaq         Protect against crash when accessing filter manager                                                                                                   
c1f76f84b 2025-04-02 Jasem Mutlaq         Use stable ppa                                                                                                                                        
ff8f3f36c 2025-04-02 Jasem Mutlaq         Use stable PPA                                                                                                                                        
1811b20e1 2025-04-02 Jasem Mutlaq         KStars v3.7.7 develpment cycle                                                                                                                        
78a087922 2025-04-02 Jasem Mutlaq         Fix rotate icon                                                                                                                                       
fd8e54166 2025-03-31 Hy Murveit           Update doc links for Imaging Planner and Analyze                                                                                                      
6dda93b8b 2025-03-31 Jasem Mutlaq         Fix build failure on launchpad                                                                                                                        
498e86dbc 2025-03-31 Jasem Mutlaq         Fix issue with repeated MF success on align failure                                                                                                   
f9839263a 2025-03-31 Jasem Mutlaq         Fix issue where the wait time for local or remote drivers is not sufficient due to pre and post delays. Now we account for them to prevent premature..
dadd611d1 2025-03-31 Jasem Mutlaq         Add back drivers removed by mistake                                                                                                                   
c244bca34 2025-03-31 Wolfgang Reissenberger Set correct limits when selecting optical train                                                                                                       

3.7.6

b7839ee0b 2025-03-30 Jasem Mutlaq         Fix issue where remote drivers do not start immediately due to scripts with Pre and Post conditions                                                   
1068c3b50 2025-03-28 Test User            Possible solution to the camera getting stuck on 99x99 resolution as reported by some users.                                                          
f3d251ccc 2025-03-26 Wolfgang Reissenberger Remember optical train of first tab                                                                                                                   
3f212322c 2025-03-24 Jasem Mutlaq         Make scheduler check universal and not job specific.                                                                                                  
be5b53be7 2025-03-21 Hy Murveit           Clean up loading of default imaging planner catalog                                                                                                   
df0bd6bc5 2025-03-21 Jasem Mutlaq         Fix compile error                                                                                                                                     
d71ce10f6 2025-03-21 Jasem Mutlaq         Fix issue with setting remote directory on Windows                                                                                                    
6dc5f6dd0 2025-03-21 Jasem Mutlaq         Use KSNotification when possible                                                                                                                      
1b7109585 2025-03-21 Jasem Mutlaq         Set initial focuser position in filter manager if we have one.                                                                                        
284927893 2025-03-21 Jasem Mutlaq         Add observatory notifcations for dome and dust cap parking and unparking                                                                              
0a0d123d8 2025-03-21 Yuri Chornoivan      Fix minor typo                                                                                                                                        
aca732d1d 2025-03-20 Jasem Mutlaq         show notification on critical error in capturedeviceadaptor                                                                                           
26adae858 2025-03-19 Jasem Mutlaq         Possible fix for PHD2 RMS issue                                                                                                                       
426c18319 2025-03-18 Jasem Mutlaq         Add qt5 natvis for better display of QString and other Qt containers during debug                                                                     
5bde74ee8 2025-03-17 Toni Schriber        Use PHD2-scheme (RA/DEC) for graph of guide mount drift (Addendum to  "Reuse calibration after rotation: Part 1)                                      
5f177eff9 2025-03-17 Klein Jérémie        Feat() : Add logs for dust cap in the capture sequence                                                                                                
93f95dfbf 2025-03-14 Hy Murveit           Add tooltips to scheduler plot                                                                                                                        
56aea824c 2025-03-14 Jasem Mutlaq         Add extra protections to prevent crash in setFilterPosition                                                                                           
2acebb95c 2025-03-10 Ed Lee               Init weather device selection                                                                                                                         
a5631f0cb 2025-03-09 Hy Murveit           Significant speedups for greedy simulation. Move to 72 hours of sim. Fix bugs...                                                                      
7f5013c9a 2025-03-06 Hy Murveit           Do not update the stored simulation with a partial simulation                                                                                         
d96cc1730 2025-03-07 Hy Murveit           Add altitude graph to scheduler table using a QSplitter                                                                                               
4dfeebe69 2025-03-06 Jasem Mutlaq         Remove obsolete code                                                                                                                                  
11cc23ba3 2025-03-05 Jasem Mutlaq         Add openCV dependecies to support contrast based focusing                                                                                             
e83602310 2025-03-04 Hy Murveit           ImagingPlanner--Allow csv files to remove out-of-date DSO catalogs.                                                                                   
43d45dcbd 2025-03-04 Jasem Mutlaq         Add support to Go and Rotate in Framing Assistant. This would command fast go to target and then followed by rotation to match position angle indica..
aa222aa04 2025-03-03 Hy Murveit           Add LoadDSOCatalog command to ImagingPlanner files                                                                                                    
cc035eec4 2025-03-03 Hy Murveit           Add a new mode for scheduler altitude graphs, and some debugging in greedyscheduler                                                                   
f415807b2 2025-02-28 Hy Murveit           Use all of tonight's sessions in scheduler job plot.                                                                                                  
1deb67f1e 2025-02-28 John Evans           Fix Scheduler continues after Focus Fail                                                                                                              
f9174efe1 2025-02-27 Hy Murveit           Imaging Planner: generalizes the ngc/ic search button                                                                                                 
28e798abc 2025-02-28 Wolfgang Reissenberger Increase flexibility of coordinates in the scheduler                                                                                                  
596aa1415 2025-02-27 Wolfgang Reissenberger Refactoring SequenceJob handling from raw pointers to QSharedPointer                                                                                  
47e558261 2025-02-25 Hy Murveit           Imaging planner--add catalog development tools, fix web search issues                                                                                 
f88868a1c 2025-02-25 John Evans           Update Simbad taxonomy (based on Simbad Update)                                                                                                       
3a5cef590 2025-02-24 Wolfgang Reissenberger CaptureDeviceAdaptor used as QSharedPointer to avoid crashes                                                                                          
400b2396f 2025-02-20 John Evans           Allow capture and framing when no focuser connected                                                                                                   
4a918d5ce 2025-02-19 Wolfgang Reissenberger Bugfix unparking for flat capturing with wall source                                                                                                  
5322fa8dd 2025-02-18 John Evans           Autofocus Optimisation                                                                                                                                
274d301c2 2025-02-18 Scarlett Moore       snapcraft: Move to core24/qt6                                                                                                                         
13d613f31 2025-02-18 Wolfgang Reissenberger Focus speedup with shift and ctrl                                                                                                                     
a12d28298 2025-02-17 Wolfgang Reissenberger Moon altitude as schedule constraint                                                                                                                  
e62e0f200 2025-02-15 Jasem Mutlaq         Add MacOS launch                                                                                                                                      
650baf4ff 2025-02-12 Wolfgang Reissenberger Bugfix for planets in the observinglist                                                                                                               
065f23467 2025-02-12 Wolfgang Reissenberger Bug fix for Qt6 and new DBus interface for focusing                                                                                                   
2738cabc6 2025-02-11 Jasem Mutlaq         Fix issue where profile settings were not populated correctly in the editor due to the recent change in using manufacturers for all types.            
d86ceb3c2 2025-02-08 Wolfgang Reissenberger DBus communication with FocusModule corrected                                                                                                         
bb9e62216 2025-02-08 Jasem Mutlaq         Starting 3.7.6 development cycle                                                                                                                      
37633e332 2025-02-08 Hy Murveit           PAA should use refracted altitudes                                                                                                                    
c2172b4a8 2025-02-02 Salman Naheed        Update focusmodule.h                                                                                                                                  
65922261a 2025-02-05 John Evans           R2 Reset Retries Bug                                                                                                                                  
9fd5ed74a 2025-02-05 Jasem Mutlaq         Improve index files download by finding first writable directory                                                                                      
43ed45ef4 2025-02-04 Wolfgang Reissenberger Enable train edit button when stopping a focus sequence                                                                                               
7c3ce1d89 2025-02-01 Hy Murveit           ImagingPlanner--delay call to loadInitialCatalog   

3.7.5

c255f61c9 2025-01-31 Hy Murveit           Fix bug in dms::deltaAngle()                                                                                                                          
7c1bb9f2b 2025-01-29 Hy Murveit           Fix calibration plot dec arrow                                                                                                                        
ea181c91b 2025-01-28 Hy Murveit           Fix issue where old calibrations were broken                                                                                                          
b5b856f55 2025-01-28 Hy Murveit           Change Options::CaptureOperationsTimeout() to 5 minutes                                                                                               
e634c8cc4 2025-01-27 Jasem Mutlaq         Use manufacturers for all equipment types in the Profile Editor. This should fix multiple issues including seamless switching between Local and Remo..
65c97f1ba 2025-01-26 Hy Murveit           Fix English for guiding option                                                                                                                        
ba5a83da3 2025-01-26 Jasem Mutlaq         Add generic DBus methods to set and get any KStars option defined in kstars.kcfg                                                                      
4cc451509 2025-01-25 Jasem Mutlaq         Account for traveledAngle wrap around                                                                                                                 
89d7e111b 2025-01-24 Jasem Mutlaq         If ROI is null or invalid, use maximum available resolution.                                                                                          
21f00cfe8 2025-01-24 Jasem Mutlaq         Use Mutex to protect resources accessed from multiple threads to prevent crashes.                                                                     
b0e021333 2025-01-24 Toni Schriber        Prevent overshooting cosine in calculation of CachingDms                                                                                              
dc469f532 2025-01-22 Jasem Mutlaq         Remove obsolete ACTIVE_DEVICES updates now that OpticalTrainManager takes care of them.                                                               
a4cb058a7 2025-01-22 Jasem Mutlaq         Fix repeated signals getting triggered before we are not blocking them when clearing and filling combo boxes.                                         
a56be5fb2 2025-01-22 Wolfgang Reissenberger Bugfix for flats with wall position                                                                                                                   
de4f9e9f5 2025-01-21 Hy Murveit           Add mandatory settle to PAA                                                                                                                           
a705515b8 2025-01-20 Jasem Mutlaq         Fix a couple more issues with scheduler options. Radio buttons need to be saved when updated and need to debounce saving                              
ec6e79877 2025-01-20 Jasem Mutlaq         Fix issue where profile changes is not communicated to process state                                                                                  
79b42c556 2025-01-20 Jasem Mutlaq         Add SchedulerSleeping event                                                                                                                           
ea7846f5f 2025-01-19 Jasem Mutlaq         Path if relative to home directory for filedata                                                                                                       
faa0eb899 2025-01-19 Jasem Mutlaq         Fix bug where we use the wrong unit type, should use options only                                                                                     
ef5a1f004 2025-01-19 Jasem Mutlaq         Improve scheduler loading to handle both scenarios when it is data only or data+url                                                                   
d62c63f42 2025-01-19 Jasem Mutlaq         Add error message in case either camera or guider is not online when calibration is started.                                                          
a29c4be19 2025-01-19 Jasem Mutlaq         Add option to enable startup script executation regardless of Ekos status. Fix all scheduler settings to use kcfg_ prefix                             
5aa8f19d8 2025-01-18 Ben Cooksley         Remove CMake trace/debug logs from CI runs.                                                                                                           
4ec72235a 2025-01-16 Toni Schriber        Reuse calibration after rotation: Part 1                                                                                                              
8b0d74fbe 2025-01-13 Jasem Mutlaq         Add support for drawing dome slit on the sky map                                                                                                      
9fea66ff0 2025-01-12 Jasem Mutlaq         If preparing state is already completed or none, then stop timer as well.                                                                             
d11d2cad4 2025-01-12 Jasem Mutlaq         Handle timeouts for various capture operations to avoid getting stuck without aborting capture                                                        
ac3460528 2025-01-13 Jasem Mutlaq         Fix analyze analyzeAlternativeDirectoryName issue. Fix QCDebug includes.                                                                              
7e568b371 2025-01-13 Jasem Mutlaq         use qCDebug instead of generic qDebug                                                                                                                 
475099bb7 2025-01-13 Jasem Mutlaq         Fix warning due to incoccrect option name                                                                                                             
c6d984c9e 2025-01-13 Jasem Mutlaq         Correct config name                                                                                                                                   
7e8abfad8 2025-01-13 Jasem Mutlaq         Filter manager is null by this stage, do not connect.                                                                                                 
9537156ed 2025-01-13 Jasem Mutlaq         Fix two more places where we used KLazyLocalizedString                                                                                                
ccfd5d78c 2025-01-13 Jasem Mutlaq         Make it compile on KDE Frameworks prior to 5.89                                                                                                       
0a646c3bb 2025-01-11 Jasem Mutlaq         Simplify checking for reversed and completed conditions when processing mount rotation.                                                               
ca7a3249f 2025-01-11 Jasem Mutlaq         Fix typo and better handling for dome. Do not prevent handling of mount status update even if dome is in motion. We only care about capturing which ..
17a38e9eb 2024-11-12 Akarsh Simha         Fix right-click popup menu on deep stars                                                                                                              
998607c33 2025-01-10 Jasem Mutlaq         Fix Mosaic Assistant setting focus in scheduler when it should not.                                                                                   
2d8c03830 2025-01-10 Jasem Mutlaq         Use better name                                                                                                                                       
791182579 2025-01-11 Wolfgang Reissenberger Dithering disabling per job                                                                                                                           
c4db9133e 2025-01-07 György Balló         Set window icon                                                                                                                                       
58a13e50c 2025-01-09 Jasem Mutlaq         Need to use imageData UUID when sending view                                                                                                          
13587d94e 2025-01-08 Jasem Mutlaq         Fix video subframing                                                                                                                                  
a51e6d550 2025-01-08 Jasem Mutlaq         Add more protections when sending pending properties                                                                                                  
3ab677382 2025-01-07 Jasem Mutlaq         For cameras that support streaming exposure setting, we should ROI the camera frame, not just the streaming frame. This should result significantly ..
9b67e9a12 2025-01-06 John Evans           focusadvisor code warning fix                                                                                                                         
c29ccb9e3 2025-01-05 Oliver Kellogg       kstars/kstars.kcfg (FitsCatObjShowNames) : fix typo in `FITS Viewer`.                                                                                 
5c23230f2 2025-01-05 Wolfgang Reissenberger Clear active filter if Camera has no Filter Wheel                                                                                                     
3179e4ba8 2025-01-05 Jasem Mutlaq         Add safety checks to prevent over travel for mounts during PAA                                                                                        
075d4cece 2025-01-04 Jasem Mutlaq         Do not use RAWPrefix when creating mosaic sequences. Add warning when loading a sequence file with RAWPrefix as it is no longer used and been replac..
c1fcce5f5 2025-01-01 John Evans           Prevent Aberration Inspector from using curvefit Quadratic                                                                                            
a73f0e8dc 2025-01-01 Jasem Mutlaq         Revert part of ea004a10af9fab962db336f07f82cf5d3f49d9be as it causes a regression with WCS data in the FITS Viewer                                    
1344dfb48 2025-01-01 Jasem Mutlaq         Fix crash when paths are empty                                                                                                                        
25d7ea35e 2025-01-01 Hy Murveit           Make imaging planner more stable--disable UI during catalog loads                                                                                     
aed4e55a1 2024-12-31 John Evans           Allow framing on all focus measures                                                                                                                   
741fde9ae 2024-12-29 John Evans           Enable Focuser Controls when Camera Disconnected                                                                                                      
a28263631 2024-12-29 Hy Murveit           Add warning when searching the internet in find dialog                                                                                                
32efece55 2024-12-29 Hy Murveit           Fix bug with pierside placeholder when it is used for a directory                                                                                     
5a594088d 2024-12-28 Jasem Mutlaq         Use setChecked insteasd of click for radio and check boxes to fix some corner issues reported by Toni and John                                        
5fd8dd393 2024-12-27 Hy Murveit           fix sequence editor crash                                                                                                                             
04c1a51c6 2024-12-28 Wolfgang Reissenberger Bugfix Focus Options                                                                                                                                  
1c15c8c7e 2024-12-27 Wolfgang Reissenberger Remote directory default handling                                                                                                                     
ef9b92955 2024-12-25 Jasem Mutlaq         Do not load image buffer when not required                                                                                                            
3aa36ce74 2024-12-25 Jasem Mutlaq         Add recommended extension                                                                                                                             
ab81b37a0 2024-12-25 Jasem Mutlaq         Add vscode files to help prospective developers in setting up KStars under VS Code                                                                    
a1d62ed37 2024-12-24 Jasem Mutlaq         Remove extranous options that disables KConfigDialog functions                                                                                        
938e91306 2024-12-24 Jasem Mutlaq         Attempt at fix capture settings in Ekos                                                                                                               
6565e4862 2024-12-17 Hy Murveit           Add START_AT scheduler test                                                                                                                           
53c0b4183 2024-12-15 Hy Murveit           Fix abell planetary nebula lookup                                                                                                                     
3753e1a8a 2024-12-14 Wolfgang Reissenberger Capture Video Sequences                                                                                                                               
270fc2c50 2024-12-12 Jasem Mutlaq         Fix crash on closing KStars caused by this line for some reason                                                                                       
d44fb7abc 2024-12-12 Jasem Mutlaq         If focuser is not ready, we must immediately resolve syncAbsoluteFocusPosition otherwise the capture pipeline will get stuck in the Preparing stage   
a8ccbecd6 2024-12-10 Jasem Mutlaq         Fix crash with what is interesting tool due to incorrect version import                                                                               
7acd3d7c5 2024-12-09 Hy Murveit           Try to solidify ImagingPlanner                                                                                                                        
b83f83a6f 2024-12-09 Jasem Mutlaq         Fix language issues by using KLazyLocalizedString since the application context is not set yet                                                        
09fde1264 2024-12-08 Wolfgang Reissenberger Do not modify start button when suspended                                                                                                             
b1af4a0d0 2024-11-29 Hy Murveit           PAA: new adjustment estimate                                                                                                                          
5d5f1c132 2024-12-08 Jasem Mutlaq         Use a dedicated timer to prevent QEventDispatcherWin32::registerTimer: Failed to create a timer issue reported on Windows                             
361815d24 2024-12-08 Jasem Mutlaq         Starting KStars v3.7.5 development cycle                                                                                                              
868f8c3eb 2024-12-08 Jasem Mutlaq         FilterManager should emit failed when the filter change operation fails or times out with a hard-defined value of 30 seconds. Fixed issues with filt..
058cd5ea1 2024-12-07 Jasem Mutlaq         Fix Dark library remove all                                                                                                                           

3.7.4 (PLANNER):

276510114 2024-12-03 Jasem Mutlaq         INDI drivers sync
f4a0010df 2024-12-01 Hy Murveit           stop calling imaging planner experimental
e4d0e9b76 2024-12-01 Jasem Mutlaq         Use KDE CDN for HotNewStuff
dc7ed6855 2024-12-01 Jasem Mutlaq         Use correct placeholder
51258a5f7 2024-11-26 Hy Murveit           Search wider for PAA adjustments
72eb0c0d2 2024-11-27 Hy Murveit           fix statusbar bug
5d8461214 2024-11-26 Hy Murveit           Fix bug where flags are not placed properly
20a9cd265 2024-11-24 Jasem Mutlaq         If we have a dome, then it must be tracking before running *any* post flip meridian action
e2e8d6cfb 2024-11-24 Jasem Mutlaq         Update URL for astrometry.net
4eb2d76fe 2024-11-21 Hy Murveit           Set default name for imported artificial horizon
ec6f6fb75 2024-11-19 Hy Murveit           Artificial Horizon: Enable import button from the start
f44c3aba2 2024-11-18 Hy Murveit           Export and import artificial horizons.
51fb12220 2024-11-15 Hy Murveit           Update ImagingPlanner docbook
3d25a98bc 2024-11-15 Jasem Mutlaq         Send download progress to Ekoslive
7df9ed51e 2024-11-15 Hy Murveit           ImagingPlanner: fix mac icons, select first, mac tool window, center in menu, resize fix
ba7fce1bf 2024-11-15 Hy Murveit           Fix the download button in the kstars startup wizard
e3a0a65b8 2024-11-12 Hy Murveit           ImagingPlanner: add options menu
9d9a1236e 2024-11-12 Hy Murveit           Update ImagingPlanner UI, fix sharpless name resolver, update UI issues, fix...
6a0bb67e5 2024-11-12 Wolfgang Reissenberger Do not use findUnusedOpticalTrain() on main tabs
c8ce46ea7 2024-11-10 Hy Murveit           ImagingPlanner: UI fixes, recompute altitude on date change, allow absolute image paths
ff403f3de 2024-11-10 Yuri Chornoivan      Fix minor typos
e2abdf49d 2024-11-10 Jasem Mutlaq         Revert "Make SkyMesh::index(SkyPoint, radius) behave just like other ::index methods"
347d74d5f 2024-11-10 Jasem Mutlaq         Use simpler solution to unnamed objects
c6a4477a9 2024-11-10 Jasem Mutlaq         Remove unnecesary warning
5e6092143 2024-11-09 Robert Lancaster     Fixing two build errors recently introduced for the QT6 build
d734e633d 2024-11-07 Jasem Mutlaq         Use filename instead of completeBasename
c058b9e63 2024-11-09 Yuri Chornoivan      Fix minor typos
1285dd646 2024-11-09 Hy Murveit           Imaging Planner tool initial version
3593bd75f 2024-11-09 Hy Murveit           Docbook for Imaging Planner
791ff6937 2024-11-07 Jasem Mutlaq         Fix list operation
8ace9380b 2024-11-07 Jasem Mutlaq         Indicate whether the entry is a file
9f22375e6 2024-11-06 Jasem Mutlaq         Add directory exists operation
b5612a4c4 2024-11-05 Jasem Mutlaq         Add simple file commands
27d5a541c 2024-11-05 Jasem Mutlaq         Fix Focus module check due to introduction of main Focuser
120d81cb7 2024-11-03 Jasem Mutlaq         Multi-dispatch fix
3f1af21a6 2024-11-03 Jasem Mutlaq         If manual rotator is complete, do not abort solver. FIXED-IN:3.7.4 BUGS:495737
b1b4e3565 2024-11-02 Robert Lancaster     Windows wiz data fix
ee619f7e2 2024-10-31 Akarsh Simha         Remove the "Simulate Eyepiece View" feature and strip down `EyepieceField`
f668def39 2024-10-31 Akarsh Simha         Fix for when the find dialog shows the Internet Search button
a890447d7 2024-05-07 Akarsh Simha         Fix incorrect overload when returning trixels along a very short arc
bc9397566 2024-05-07 Akarsh Simha         Constellation boundaries actually precess along with the coordinate grid
a63bd3f7c 2024-05-07 Akarsh Simha         Make SkyMesh::index(SkyPoint, radius) behave just like other ::index methods
8a40ebccf 2024-05-07 Akarsh Simha         lastPrecessJD needs to be long double; double generally not enough
5ab39d2ce 2024-04-28 Akarsh Simha         Refactor getIndexCoords to accept just julian millenia
312f55dce 2024-11-01 John Evans           Contrast Focus
8b672a545 2024-10-29 Jasem Mutlaq         Using updated name on Linux for source extractor
9aa647c10 2024-10-27 Hy Murveit           Add option to render catalog stars over HIS
63ce290eb 2024-10-27 Wolfgang Reissenberger Revert "Repeats and Looping for the Capture Module"
040b61371 2024-10-27 Robert Lancaster     Two Fixes for the Windows KStars Build with Qt6
5d9d87672 2024-10-25 John Evans           Log Focus Advisor results to debug
c6e3a5fba 2024-10-25 John Evans           Fix main.cpp compile issue on Mac
8eff17fd0 2024-10-24 Jasem Mutlaq         Migrate Capture and Scheduler settings to their own pages
c468adb0e 2024-10-23 Jasem Mutlaq         Cover missing case when session expires
20fc0c7cc 2024-10-23 John Evans           FITS Catalog integration bug fix fits tab
0c39676ed 2024-10-22 Jasem Mutlaq         Remove limitation for default plan
ea004a10a 2024-10-21 John Evans           FITSViewer Simbad Integration Bug Fixes
539ca143e 2024-10-21 Wolfgang Reissenberger Fix errors and warnings under Qt6
1b5b05c22 2024-10-18 Robert Lancaster     Fixing a QT6 compile error from a recent commit.
814fd887f 2024-10-17 Jasem Mutlaq         Add call for remotely saving scheduler sequence file locally
b547d3df1 2024-10-17 Yuri Chornoivan      Fix minor typo
e739d1cbf 2024-10-16 Hy Murveit           Sample artificial horizon lines so that they render like great circles.
d75accd4e 2024-10-16 Wolfgang Reissenberger Repeats and Looping for the Capture Module
21325afbd 2024-10-16 John Evans           Fits Catalog Integration
d6de828b9 2024-10-15 Hy Murveit           Make inventing guide stars the default
7d84dacba 2024-10-15 Eric Dejouhanet      fix(ci): remove android qt5 recipe, removed from ci-utilities.
a2b780fba 2024-10-08 Hy Murveit           Dont render stars when HIPS is active
a13a73505 2024-10-10 Jasem Mutlaq         Qt6 migration
2b1a25e86 2024-10-07 Hy Murveit           Do not delay hips if the focus has changed
bf53565f8 2024-10-08 Jasem Mutlaq         Fix crash when equipment profile camera is changed but train configuration was not updated and a capture preview is started
6ef3a8785 2024-10-08 Jasem Mutlaq         Fix crash when disconnecting equipment while pending properties are in transit
b6a1514f3 2024-10-08 Jasem Mutlaq         Add libcurl explicitly
d9b71af71 2024-10-07 Hy Murveit           Fix HIPS menu bug
ba26fb201 2024-10-06 Jasem Mutlaq         Start KStars v3.7.4 development cycle
757bd9b6c 2024-10-05 Jasem Mutlaq         Add a method to verify if a sky point is within limit. Return error if telscope coords are invalid in capture and solve
3528f8236 2024-10-04 Pino Toscano         Explicitly include fitsdata.h
6766f2d67 2024-10-01 Jasem Mutlaq         Add missing signal
38ef53b1e 2024-10-01 Jasem Mutlaq         For newView, a new UUID must be generated
fee350432 2024-09-30 Hy Murveit           Add multistar guiding to the handbook

3.7.3 (MULTI2):

09a12d8f4 2024-09-29 Wolfgang Reissenberger Bug multi camera support | fix for camera cooler control
33de71f26 2024-09-27 Wolfgang Reissenberger Refactor tabs closing + disabling tabs closing in focus module
b80949023 2024-09-27 Wolfgang Reissenberger Selecting temperature source for focuser fixed
691572033 2024-09-25 Jasem Mutlaq         Update snapcraft recipe. Not tested yet
67bff0a7d 2024-09-22 John Evans           Focus Filter Offsets Bug
8c9db1e49 2024-09-20 Jasem Mutlaq         Fix crash with using Qt Concurrent with FITSView upload
12c54c629 2024-09-20 Jasem Mutlaq         Sure vertical bin to same as horizontal in dark library
aec028926 2024-09-19 Jasem Mutlaq         Fix issue with dark library was not enforcing Dark type correctly
10a7ad967 2024-09-19 Jasem Mutlaq         Make sure mount control panel can stay up at all times as it was before
d205112f8 2024-09-16 Jasem Mutlaq         KStars v3.7.2 in AppData update
cd6be6040 2024-09-16 Hy Murveit           Fix crash on ekos reconnect
3a037b4d1 2024-09-14 Hy Murveit           Add altitude graphs to scheduler
d3f3b9d25 2024-09-12 Hy Murveit           Bugfix for scheduler endtime display
3297784d4 2024-09-12 Jasem Mutlaq         Guide settle when in-sequence-focus is used during guiding
137ae4e49 2024-09-12 Gus Robinson         The Camera module starts capturing too soon after a dither. After a dither PHD2 sends a "guiding" state to the Guiding module which then immediatly ..
b1cb77c34 2024-09-10 Konstantin Baranov   Allow Flat re-calibration on the fly
0aac0c1b2 2024-09-11 Wolfgang Reissenberger Ignore device events if preparation has been completed
95a90eb21 2024-09-09 Hy Murveit           Protect again possible crash
31bb04542 2024-09-09 Wolfgang Reissenberger Avoid repeated logging of unchanged position and state
3035ef35a 2024-09-09 Ed Lee               Changed example min KStars version to 3.7.3 to avoid confusion
37c956e64 2024-09-08 Hy Murveit           ImageOverlays was not using modified profiles.
a4674a56a 2024-09-08 Jasem Mutlaq         Store formatting texts in job and add ability to update jobs remotely via INVOKABLE
7c96b2dea 2024-09-07 Wolfgang Reissenberger Improve logging for checking alignment after flip
962b04ab9 2024-09-06 John Evans           Focus fixes for multicam
7c3682ab3 2024-09-03 Wolfgang Reissenberger Multiple cameras | step 14 | Meridian flip
53065ce12 2024-09-01 Wolfgang Reissenberger Multiple cameras | step 13 |  Robustness
d18798d0a 2024-09-01 Wolfgang Reissenberger Use binning values for correct frame with calculation
a642c75cd 2024-08-31 Wolfgang Reissenberger Multiple cameras | step 12 | alignment and guiding sync
e0688469e 2024-08-31 Jasem Mutlaq         Only change time if ekos profile is not running
c9efbaea2 2024-08-29 Jasem Mutlaq         UUID must always point to imageData
f178273fa 2024-08-29 Jasem Mutlaq         Manage OPTION_SET from cloud
e7e5592cc 2024-08-28 Jasem Mutlaq         Fix crash in processing focus module
84db00873 2024-08-27 Wolfgang Reissenberger Bug fix keeping train sequence when adding new tab
fea50dbc7 2024-08-27 Wolfgang Reissenberger Multiple cameras | step 11 | dither sync
6dd7a8d66 2024-08-26 Jasem Mutlaq         Add more invokable methods. Probably need to add to DBus interface
ee929c33e 2024-08-25 Wolfgang Reissenberger Add new tab selects unused optical train
1795feaa7 2024-08-25 Wolfgang Reissenberger Bug fix in scheduler for interface changes of focus events
604e72e3d 2024-08-24 Wolfgang Reissenberger Lost connection command readded
6b9b09ec8 2024-08-24 Wolfgang Reissenberger Support for adhoc focus with multi camera setups
284078e7b 2024-08-21 Jasem Mutlaq         Fix crash due to FITSView getting terminated in another thread and causing the QBasicTimer::stop crash
92c5bb179 2024-08-22 Ed Lee               Add extra DBus functions for Siril_EAA extension
74beff422 2024-08-22 Jasem Mutlaq         Fix missing tag
2b3d32b94 2024-08-22 Yuri Chornoivan      Fix XML
8db413303 2024-08-22 Yuri Chornoivan      Fix minor typos
250448042 2024-08-22 Yuri Chornoivan      Fix minor typos and formatting
e6734ccef 2024-08-21 Ed Lee               Create extensions interface
6215551cb 2024-08-20 Wolfgang Reissenberger Bug fix for scheduler using train names as identifier
b6a03fb1c 2024-08-19 Wolfgang Reissenberger Use train name as indentifier instead of camera device name
9e3997b78 2024-08-18 Wolfgang Reissenberger Capture relevant type definitions consolidated in a single header file
022b06c39 2024-06-19 Eric Dejouhanet      fix(ci): add cURL libraries to cfitsio libraries.
7e235c094 2024-08-15 Jasem Mutlaq         Trains and train settings can be accessed without profile running
a69e7d65e 2024-08-15 Wolfgang Reissenberger Multiple cameras | step 10
a8c774ec9 2024-08-11 Hy Murveit           Updates to alwaysInvent for guider
95490b0c3 2024-08-12 Jasem Mutlaq         Update URL
1c93d2176 2024-08-12 Yuri Chornoivan      Fix minor typo
41db1c4f4 2024-08-11 Hy Murveit           Add option to always invent the guidestar in MultiStar guiding.
0a1b17059 2024-08-11 Jasem Mutlaq         Merge fixes from stable-3.7.2 into master
0198ed23f 2024-08-10 John Evans           Focus Advisor 4 Bugs2
596892d06 2024-08-09 Jasem Mutlaq         Fix crash due to out of range exception
2a9083cf1 2024-08-08 Yuri Chornoivan      Remove extra colon
603547ec9 2024-08-08 Wolfgang Reissenberger Bugfix missing fits file
7baedeb0d 2024-08-06 Eric Dejouhanet      fix: change cmake versioning method.
f8a66c0ac 2024-08-04 Wolfgang Reissenberger Display end altitude with greedy scheduling
126935c61 2024-08-04 Wolfgang Reissenberger Bugfix INDI mount status
a2f376d01 2024-08-08 Jasem Mutlaq         Fix issue where filter is only sent for first row
c1e34c6c6 2024-08-08 Yuri Chornoivan      Remove extra colon
93e45e7ce 2024-08-08 Wolfgang Reissenberger Bugfix missing fits file
ce2e99f2b 2024-08-07 Wolfgang Reissenberger Multiple cameras | step 9
58d9ed1d8 2024-08-06 Jasem Mutlaq         Fix possible crash when object hash contains some dangling pointers
ab1e430ae 2024-08-06 Eric Dejouhanet      fix: change cmake versioning method.
568ba95de 2024-08-06 Jasem Mutlaq         Sometimes the title is updated without HFR so need to send that separately
f6105d8ec 2024-08-06 Jasem Mutlaq         Add missing signal emit for focus advisor
9a8aa9d8b 2024-08-04 Wolfgang Reissenberger Display end altitude with greedy scheduling
b4fb4b73d 2024-08-04 Wolfgang Reissenberger Bugfix INDI mount status
fe52bee66 2024-08-04 Jasem Mutlaq         Starting v3.7.3 development cycle
1b939a3df 2024-08-02 John Evans           Focus Advisor v4 Results Table
8fc0e1c9d 2024-08-02 Jasem Mutlaq         INDI drivers sync
cdb96e1b7 2024-08-01 Eric Dejouhanet      fix(ci): do build Craft recipes on master and stable branches.
e1e9fbd79 2024-08-01 Jasem Mutlaq         Fix crash when saving a non-existing defect map
a7fd569be 2024-08-01 Wolfgang Reissenberger Flag introduced restricting altitude limits to tracking

3.7.2 (ADVISOR):

0da71b1ff 2024-07-31 Jasem Mutlaq         Send title to EkosLive
bf0792c9e 2024-07-25 Jasem Mutlaq         Add observatory name and machine ID to EkosLive
d20ed89d1 2024-07-23 Wolfgang Reissenberger Camera selection combo box only if more than one camera active
75a63d92a 2024-07-21 Jasem Mutlaq         Disable the astronomical twilight pop up and just log the same message to the log view. The popup sometimes keeps repeating and causing havoc on use..
41bdbfdb3 2024-07-20 Toni Schriber        Tooltips emendation in rotatorsettings & opsprograms
085e5f445 2024-07-13 Wolfgang Reissenberger Bug fix: Check for focus running fixed in calibration phase
9b9998089 2024-07-11 John Evans           Focus SEP defaults no longer deboned
2138a4745 2024-07-11 John Evans           Focus Fail Bugs
32d5b4146 2024-07-10 Wolfgang Reissenberger Multiple cameras | step 8
08ed69269 2024-07-10 Wolfgang Reissenberger Stop dither timer when guiding is detected
d755e650b 2024-07-09 Hy Murveit           Fix broken sequence editor
d7bf3b954 2024-07-07 John Evans           Focus Advisor 4 Bugs 1
013389d89 2024-06-19 Boudhayan Bhattacharya Add launchable and developer name to appdata
11d0dc4dc 2024-06-22 Emir SARI            Apply i18n to percent values
eea44264d 2024-07-02 Jasem Mutlaq         Fix warnings and add stage and message signals to FocusAdvisor
f99c36238 2024-07-02 Wolfgang Reissenberger Create a pass through for capturing directly from INDI
4cda831e0 2024-06-30 John Evans           Focus Advisor 4 Typo Correction
42b6cf2a0 2024-06-29 Hy Murveit           Add info about index file used to the fits solver.
057a54402 2024-06-25 Hy Murveit           Remove the fitsviewer/sep directory and contents. It is not used--was moved to StellarSolver.
943e9d216 2024-06-25 Hy Murveit           Reword the warning at the top of the logs menu.
7b6cf2a06 2024-06-25 John Evans           Focus Advisor Phase 4
c05bbb26d 2024-06-25 Hy Murveit           Remove solver logging from the logs menu--it is disabled.
b58fa0ecb 2024-06-22 Jasem Mutlaq         FITSData should have its unique UUID
f1dc3d887 2024-06-21 Jasem Mutlaq         Perform an exact search first. If no objects are found, we try inexact search if it is required
9eaa76f4b 2024-06-21 Jasem Mutlaq         Use KLocalizedString instead of I18N_NOOP
33637a667 2024-06-21 Jasem Mutlaq         Fix bug that caused KStars selected program language to not load properly.
22cd49294 2024-06-21 Wolfgang Reissenberger Bugfix compiler warnings 2
77fbbbe05 2024-06-19 Wolfgang Reissenberger Multiple cameras | step 7
07d65a961 2024-06-18 Hy Murveit           Remove the SettingAltitudeCutoff option
33d128d95 2024-06-18 Hy Murveit           Continue to fix Analyze fits display
491a7c2bd 2024-06-18 Wolfgang Reissenberger Bugfixes for compiler warnings
31cae62cd 2024-06-18 Jasem Mutlaq         Fix typo
58b955534 2024-06-17 Hy Murveit           Analyze bugfix--did not display fits files when fits single window capture was set
2dae0ae4f 2024-06-17 Jasem Mutlaq         Use shortFormat otherwise all native loaders would fail. This fixes a serious regression introduced with 3.7.1
d0a30160b 2024-06-16 Wolfgang Reissenberger Multiple cameras | step 6
4f5270e45 2024-06-15 Jasem Mutlaq         Protect against crash by assigning weather source in case it was never set before
8f65f020a 2024-06-15 Jasem Mutlaq         Fix issue where remote drivers field have multiple drivers
68cb99ce5 2024-06-15 Jasem Mutlaq         Fix issue where script driver are not connected after startup
565b202a6 2024-06-15 Jasem Mutlaq         Remote drivers should be now selectable in profile scripts
d56244bee 2024-06-14 Eric Dejouhanet      fix(ci): increase MacOS build timeout.
f4f445838 2024-06-13 Hy Murveit           Adjust Analyze legend
32a71b49d 2024-06-13 Jasem Mutlaq         Make sure combo box has elements before trying to set a value
636bc437f 2024-06-13 Jasem Mutlaq         Fix observatory weather switching and fix connection to scheduler. Instead of relying on Weather device, we now rely on observatory overall status s..
0eddd6ff7 2024-06-12 Jasem Mutlaq         Fix minor issue with missing sync controls
f2fd781ac 2024-06-11 Jasem Mutlaq         Add Preston, England
61817bb4e 2024-06-10 John Evans           Hanging bug due to multiple adjust focus requests
55cf23a1a 2024-06-07 Antonio Escriban     Bugfix camera UI
03470ee7f 2024-06-08 Wolfgang Reissenberger Widgets from mount controller used on mount tab
ddb818ffa 2024-06-08 Wolfgang Reissenberger Multiple cameras | step 5
bb9913ae5 2024-06-07 Eric Dejouhanet      feat(ci): build and sign on push to the default branch
1275121a4 2024-06-07 Jasem Mutlaq         Starting KStars 3.7.2 development cycle
e9b49f3a7 2024-06-07 Jasem Mutlaq         Add machine id to node manager

3.7.1 (MULTI):

df6cce9f0 2024-05-30 Wolfgang Reissenberger Making target labels dependent on the selected coordinates mode
f78c02c56 2024-05-30 John Evans           Bugfix for relative focusers (DSLR), timed and manual focusers not resetting buttons after focuser move
ce898c0a4 2024-05-29 Dušan Poizl          Add realtime simclock that is locked with systen clock´
090044ab5 2024-05-28 Jasem Mutlaq         Fix azimuth unit in mount control panel
bf082ea64 2024-05-25 Philip Mair          Added more scheduler dbus properties
5e0900c9e 2024-05-25 Wolfgang Reissenberger Bugfix camera logging
3930b5e36 2024-05-21 Wolfgang Reissenberger Bugfix calibration show fitsviewer
47dcf6b34 2024-05-21 Jasem Mutlaq         New mount panel
0491d3a22 2024-05-19 Wolfgang Reissenberger Bugfix for captured flat frames counting
c98667632 2024-05-18 Wolfgang Reissenberger Bugfix for device state handling
c07117c93 2024-05-18 Wolfgang Reissenberger Bugfix of mount parking for flats etc
58a32c7e6 2024-05-18 John Evans           Build Filter Offsets Hanging Bug
c3676a2c2 2024-05-16 Jasem Mutlaq         Debounce jobs updated signal
8564f6ab7 2024-05-15 Jasem Mutlaq         Capture and Scheduler process are now children of KStars::Instance. Add Q_SCRIPTABLE to a few function calls where it makes sense to use
6a14e1672 2024-05-15 Wolfgang Reissenberger Multiple cameras | step 4
50f05b907 2024-05-14 Hy Murveit           Add fit-page-to-zoom button to the fitsviewer
1ad2b09a6 2024-05-14 Hy Murveit           Another guiding-concurrency fix
73e3aa1ae 2024-05-14 Jasem Mutlaq         Add Q_SCRIPTABLE to clearLogs
7422be352 2024-05-14 Jasem Mutlaq         Do not save target name in optical train settings since it is set by Ekos
121540c1d 2024-05-14 Jasem Mutlaq         Send logs to EkosLive
45e784d42 2024-05-13 Hy Murveit           One more guiding-concurrency fix
cc7e87918 2024-05-13 Jasem Mutlaq         Fix bug in profile external guider port settings
ef501cfd9 2024-05-12 Jasem Mutlaq         Fix issue with INDI::Camera refactor that move FITS Viewer handling to CaptureProcess. Add stretch and autostretch function to the view directly
a35490ed6 2024-05-12 Hy Murveit           Add documentation
191f44c0b 2024-05-11 Jasem Mutlaq         Fix radio options in train settings
c9db3003f 2024-05-11 Wolfgang Reissenberger Multiple cameras | step 3
8af1fa2c6 2024-05-10 Hy Murveit           fix options bug
eb8ce8e05 2024-05-09 Hy Murveit           Stop guider from concurrent capturing.
b16ee8884 2024-05-10 Hy Murveit           Go to analyze options tab when clicking analyze options button
209ecb3da 2024-05-10 Hy Murveit           Moving among Analyze sessions etc
622d0d13a 2024-05-10 Wolfgang Reissenberger Bug fix: setting extension before loading image from buffer
aff30fbca 2024-05-10 Wolfgang Reissenberger Bugfix: capture hanging when no FITSViewer is used
9cc625c11 2024-05-09 Jasem Mutlaq         If parked, clear target name
f29584204 2024-05-08 Wolfgang Reissenberger Bugfix for cmake on RaspbianOS bullseye
251281b7e 2024-05-07 Wolfgang Reissenberger Avoid font size less than 4px
bacebf70e 2024-05-07 Wolfgang Reissenberger Enable Qt6 in cmake configurations
4137a23f8 2024-05-07 Hy Murveit           Fix countdown
e3f9feaf0 2024-05-05 Hy Murveit           Internal guider should not auto-capture in dither-settle state.
be3084312 2024-05-05 Wolfgang Reissenberger Bugfix for capturing previews
1d3a44b9f 2024-05-03 Akarsh Simha         Improvements to FOV symbols
308fac43d 2024-05-02 Hy Murveit           Fix bug where internal guider with one-pulse-dither would trigger two concurrent guide exposures.
51158c176 2024-05-02 Jasem Mutlaq         Fix crash when timer is activated after clearning pending properties
51372a49f 2024-05-02 Wolfgang Reissenberger Multiple cameras | step 2
b2b6aa484 2024-04-30 Hy Murveit           Fix bug where tooltip does not display progress when job names are duplicated.
d09ba0d6d 2024-04-30 Hy Murveit           Left align the capture temperature display
7ac5e4c20 2024-04-28 Hy Murveit           Allow focus to recover when camera driver crashes
bcec2c66c 2024-04-28 Jasem Mutlaq         Add guide gain
7b017e791 2024-04-24 John Evans           Autofocus Restart Bug
3e41593eb 2024-04-24 John Evans           Focus Abort Bug
0f3a315c6 2024-04-23 Hy Murveit           Attempt to fix issue where camera driver crash does not recover.
02633c4d6 2024-04-23 Jasem Mutlaq         Add function to return all DSO designations
07e004659 2024-04-22 Yuri Chornoivan      Fix minor typo
7b764cd8d 2024-04-21 Hy Murveit           Fix crash on driver restart
c3ac36c19 2024-04-21 Wolfgang Reissenberger Multiple cameras | step 1
1dab46fae 2024-04-17 Hy Murveit           Fix fitsviewer tab labels for calibrate and preview
f43bdf968 2024-04-17 Hy Murveit           Screen the moon
377454925 2024-04-18 Hy Murveit           Fix bad label on fitsviewer tab for first captured image.
0e02c6c27 2024-04-16 Hy Murveit           Emit captureComplete a little later so calibration knows the filename.
01cbe4ff4 2024-04-15 Jasem Mutlaq         Fix elevation value
7bd0cc4f9 2024-04-13 Jasem Mutlaq         Since FITS Viewer no longer triggers an upload, we send raw data directly
595e8c84d 2024-04-12 Hy Murveit           fix simulate daytime bug
286956d7d 2024-04-11 Jasem Mutlaq         Add convenience call to get KStars location info
ea57674c8 2024-04-11 Hy Murveit           Fix Milky Way rendering when simulate daytime is enabled.
a5a149102 2024-04-11 Jasem Mutlaq         Use a more comperhensive list to return all object names
3a0883643 2024-04-10 Hy Murveit           Make Zoom-to-Fit actually fit.
6e99a364f 2024-04-10 Hy Murveit           Render the full field in stereographic projection (instead of just in front of the viewer)
7dd2a4550 2024-04-10 Hy Murveit           Simulate Daytime
ddee14276 2024-04-10 Jasem Mutlaq         Location & time sources
9fcfd9afc 2024-04-10 Toni Schriber        Load FITSFile with QUrl() to prevent empty fits field in scheduler
4973e9952 2024-04-10 Jasem Mutlaq         KStars 3.7.1 development cycle
32578a1eb 2024-04-10 Wolfgang Reissenberger Flats Speedup
d1d6d365b 2024-04-09 Wolfgang Reissenberger Bugfix capture testcases 02
c6ffd22e5 2024-04-09 Eric Dejouhanet      fix(ci): move Microsoft Signing to the publish stage.
f33c8ca70 2024-04-08 Jasem Mutlaq         Allow concrete devices internal slots to run first before firing external signals
b3313500a 2024-04-06 Pino Toscano         ekos: fix build without QtDataVisualization
a3a27db10 2024-04-05 Jasem Mutlaq         Add support to obtain all object names
7f248af9e 2024-04-05 Jasem Mutlaq         For partial match, use object full name
018e73af4 2024-04-04 Jasem Mutlaq         Add scheduler clearLog
5bc7fce40 2024-04-03 Jasem Mutlaq         Add scheduler & sequence XML Schema Definition files
04d196b16 2024-04-03 Nicolas Fella        Fix dependency name in CI config
e2b310a42 2024-04-02 Eric Dejouhanet      fix(ci): adjust custom build to fix needs on master.
597896ec6 2024-04-02 Eric Dejouhanet      feat(cd): provide CD pipelines
353ccf321 2024-04-01 Jasem Mutlaq         Pass exact instead of hard-coding it
ea57c140a 2024-04-01 Jasem Mutlaq         Pass exact instead of hard-coding it
213420d90 2024-04-01 Yuri Chornoivan      Fix minor typos

3.7.0 (Blink):

4236bcd19 2024-03-28 Jasem Mutlaq         For partial object name search, exact flag should be passed down and a partial search should take place
405707024 2024-03-28 Jasem Mutlaq         Correct the dark subtraction tooltip
47ad9418f 2024-03-27 Hy Murveit           Fix sky background color bug
6571a037f 2024-03-26 Jasem Mutlaq         Fix i18n issue in adaptive focus
a173256f6 2024-03-26 Jasem Mutlaq         Fix file URL
000cf2625 2024-03-26 John Evans           Focus Advisor Phase 3
f201544fa 2024-03-25 Toni Schriber        Expand check for initial rotator angle to IPS_OK & IPS_IDLE
c1b4d0167 2024-03-22 Hy Murveit           Add options to increase the size that the Sun and Moon are rendered.
cd12445f3 2024-03-23 Jasem Mutlaq         Fix bugs in loading sequence and scheduler files
50fb264d3 2024-03-22 Akarsh Simha         Fix a few things in the Views feature
d8601bf1b 2024-03-21 Hy Murveit           Generate job capture summary
5f9ce4a30 2024-03-19 Wolfgang Reissenberger Bugfix captured frames counting
40f1d87fd 2024-03-19 Akarsh Simha         Introduce Views: A way to quickly reorient the sky-map to match the view through an instrument
8fa465627 2024-03-18 Wolfgang Reissenberger Update test cases after settings refactoring
20536ddae 2024-03-18 John Evans           Focus Passes R2 Check Fail details to Analyze
82a81b7e2 2024-03-18 Jasem Mutlaq         Use job instead of state
80816c8dc 2024-03-18 Jasem Mutlaq         Restore limit settings
4eccc0784 2024-03-18 Hy Murveit           Move to train-based storage for stand-alone esq editor
75ba2881d 2024-02-04 Eric Dejouhanet      feat(ci): KDE CI pipelines for linux, android and win32, fix fortify.
949f050b0 2024-03-17 John Evans           Turn off Focus Advisor Defaulting for New Ops
6c61d2c3e 2024-03-17 Yuri Chornoivan      Fix minor typo
ab18ac1c4 2024-03-16 John Evans           Focus Overscan Delay
c721828bb 2024-03-16 John Evans           Fix Filter Manager Button in Capture
c5490eb8c 2024-03-16 John Evans           Focus Framing Bug on Filter Change
18e59ff02 2024-03-16 Jasem Mutlaq         Do not show dialog for focus advisor, use it by default
47e2ca3a2 2024-03-16 Hy Murveit           Choose profiles from any module in FITS Viewer solver
30d02bcb6 2024-03-16 Jasem Mutlaq         Add save and load scheduler to ekoslive
4972b3318 2024-03-16 Jasem Mutlaq         Fix test case
0251f1c4b 2024-03-15 Jasem Mutlaq         Refactor capture settings. Standalone mode needs to use train data instead of options
a1e15336e 2024-03-15 John Evans           In Sequence Focus Phase 2
21e3d359d 2024-03-14 Hy Murveit           Update view after fitsviewer extraction so new stars are displayed
ddf29a77c 2024-03-15 Hy Murveit           Fix stand-along esq editor temperature control.
b7963a546 2024-03-14 Hy Murveit           Try to fix driver-restart crash
f70412234 2024-03-13 Wolfgang Reissenberger Fix scheduler sync options
263224ce9 2024-03-12 Hy Murveit           Bugfix re confusion between repeat schedulerJob and repeat all scheduler jobs
6826990c4 2024-03-12 Hy Murveit           Add edit profile button in FITS Viewer Solver and in Image Overlays
ccc571ee5 2024-03-12 Hy Murveit           Add option to render image overlays below catalogs.
524595f78 2024-03-12 Hy Murveit           Fix bug loading ssolver profiles.
83ccf32ac 2024-03-04 Jasem Mutlaq         Use stop to fix compile error in master
2b21b2f2c 2024-03-03 Jasem Mutlaq         Use emit to fix compile error
f8c61e1c8 2024-03-02 Jasem Mutlaq         Clear pending property when requesting to stop
939ae32d3 2024-03-02 Jasem Mutlaq         Add a check for uncommanded mount park that is initiated outside scheduler module. When it happens we need to abort scheduler is active and if the c..
6958835b2 2024-03-01 Jasem Mutlaq         Check if optical train is not empty
eb8b0aca1 2024-02-29 Jasem Mutlaq         Only store true value for radio buttons
19cc38071 2024-02-29 Jasem Mutlaq         Fix issues with removing dark frames from table.
b29dc5467 2024-02-27 Jasem Mutlaq         Fix Dome, GPS, and other non-train devices not getting ACTIVE_DEVICE synced properly
c3c1a1844 2024-02-25 Yuri Chornoivan      Fix minor typos
0ebc6d21d 2024-02-25 Jasem Mutlaq         Add one more check to prevent crash
b09232cde 2024-02-25 Jasem Mutlaq         Add more checks for filter manager to prevent crashes
904f22ae2 2024-02-24 John Evans           Donut Buster Phase 2
26e822d03 2024-02-07 Dušan Poizl          Add option for shoting skyflats
651941604 2024-02-24 Jasem Mutlaq         Do not create modules when creating a new equipment profile unless all equipment are detected
bd8c6fbd7 2024-02-24 Jasem Mutlaq         Revert "Draw image overlays just after HiPS, so DSOs / lines etc. are drawn over them"
442bedc47 2024-02-24 Jasem Mutlaq         Improve save and load sequence to allow setting of file data without specifying path
b44b00671 2024-02-23 Akarsh Simha         Draw image overlays just after HiPS, so DSOs / lines etc. are drawn over them
bb0a0e298 2024-02-24 Wolfgang Reissenberger Bug fix for place holder handling of remote files
34b0573a4 2024-02-20 Josep M. Ferrer      Fix minor typo
3166a6a45 2024-02-19 Yuri Chornoivan      Fix XML
af76a2a8b 2024-02-18 Akarsh Simha         New feature: Allow the user to mirror the sky map
ef51d2720 2024-02-16 Wolfgang Reissenberger State display of Scheduler and Capture optimized
776240618 2024-02-15 Jasem Mutlaq         Check if we are looping before disconnecting exposure progress since we do not connect this signal again when looping
7197d9874 2024-02-15 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 9
fe79d43cf 2024-02-14 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 8
a468d4f59 2024-02-13 Toni Schriber        Overhaul "differential slewing"
f563aebe1 2024-02-12 John Evans           Focus Move Bug
6bb03a2fc 2024-02-12 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 7
9aea84485 2024-02-11 Wolfgang Reissenberger Adding the delay to the first image in the sequence
6842beee4 2024-02-11 Jasem Mutlaq         Increase maximum align capture duration to 5 minutes
87140d566 2024-02-11 Yuri Chornoivan      Fix minor typo
325ceca95 2024-02-10 Jasem Mutlaq         Use correct state after PHD2 complete dithering
81461b464 2024-02-10 Wolfgang Reissenberger Deactivating debugging messages filling the log file
5a3e0a3d8 2024-02-10 Jasem Mutlaq         Check if master dark exists
3f4f657ff 2024-02-08 Jasem Mutlaq         3.7.0 release cycle
3604a1d25 2024-02-09 Hy Murveit           Add Analyze/Blink buttons, add Analyze log.
e8f6efb71 2024-02-09 John Evans           Focus 2 Tick  Bugfix
9afad7fa6 2024-02-09 Hy Murveit           Analyze blink fixes
5eadd4b3c 2024-02-08 Hy Murveit           Add blinking capabilities to FITS Viewer and Analyze.
bb899349b 2024-02-08 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 6
633e27f0c 2024-02-08 John Evans           Framing bugfix
d8ea2a054 2024-02-08 Yuri Chornoivan      Fix minor typos
2f5d84b8f 2024-02-07 John Evans           Focus Docbook Update 3.6.9
dd9901e3b 2024-02-05 Jasem Mutlaq         Fix crash if sequence file was loaded with filter selection but active train does not have a filter wheel
9eecfb80d 2024-02-02 Hy Murveit           Fix focus profile index bug
9232c1d2e 2024-02-02 Jasem Mutlaq         Fix rare crash when opening search dialog due to unused AsyncDBManager in FindDialog
d741c8f37 2024-02-01 Jasem Mutlaq         Add missing emit message
fdbf5c5ec 2024-02-01 Jasem Mutlaq         Add initial craft.ini file to build INDI library and KStars
a703dfc23 2024-01-31 Jasem Mutlaq         Fix satellites loading error thanks to updated list by Own. BUGS: 479796

3.6.9 (Lobi):

e6285e15c 2024-01-30 John Evans           In Sequence HFR Check Bugfix
e2b4bb982 2024-01-28 Jasem Mutlaq         Fix possible crash when disconnecting devices where we have pending properties
246836cda 2024-01-27 Yuri Chornoivan      Fix minor typos
8f9102b14 2024-01-26 Jasem Mutlaq         Add Train reset
145597bca 2024-01-26 Hy Murveit           Simplify moon separation test
fb7717365 2024-01-26 John Evans           Donut Buster - Phase 1
6193ab3e6 2024-01-23 Jasem Mutlaq         Add one more check for client manager, but it should exist by this point
2d63b2fe6 2024-01-21 Jasem Mutlaq         Fix minor issue in port selector where connection status is not updated per device
44e743715 2024-01-22 John Evans           CFZ Step Size Precision to 3dp
38612eaa8 2024-01-21 Toni Schriber        Add capture time delay estimate for rotator movements
bc0d0f7e0 2024-01-21 Toni Schriber        overhaul "differential slewing"
b21f5ed2f 2024-01-21 Jasem Mutlaq         Fix driver labels
4f1532fe3 2024-01-21 Hy Murveit           Simplify variance calculation
ebee2551c 2024-01-20 John Evans           Focus: Small tweaks as requested by forum user
e697a1a86 2024-01-20 Yuri Chornoivan      Fix minor typos
9e20246b5 2024-01-20 Jasem Mutlaq         INDI Driver sync
ee2923bdb 2024-01-11 Ian Jessen           Added camera data for Player One Astronomy Saturn-C and Poseidon-C
51b3f1892 2024-01-19 John Evans           In Sequence HFR Check Refactor
74186b331 2024-01-19 Antoni Bella Pérez   [l10n]: Fixes and improves
a3c404394 2024-01-17 Jasem Mutlaq         Account for actual exposure time in the focus timeout
d3889e4e9 2024-01-15 Hy Murveit           Fix small bug in sequencejob save
47e7a0a6f 2024-01-15 Hy Murveit           Added handbook section on editing the scheduler queue while running, and on...
4ec204cf3 2024-01-15 Hy Murveit           Create standalone editor for editing and saving .esq files.
6d38e124d 2024-01-13 Jasem Mutlaq         Fix focus setAllSetting not merging settings as in other modules
5b6cd4ebe 2024-01-13 Wolfgang Reissenberger Bug fix capture pausing blocks meridian flip
ae438cfdc 2024-01-11 Toni Schriber        Insert missing activation of LoadSlewB - New approach
5d6ed6b40 2024-01-11 Yuri Chornoivan      Fix links in documentation
ae99a90bd 2024-01-08 Thomas Stibor        Fix crash on empty PlotList
159967706 2024-01-10 Joseph McGee         sub-exposure calculator documentation updates
85d7e975e 2024-01-08 Wolfgang Reissenberger Global sequence job property removed from job's core properties
c711a5664 2024-01-08 Wolfgang Reissenberger Bugfix: Making capture scripts job specific
82449abbf 2024-01-08 Jasem Mutlaq         Fix crash due to not updating list after removing an iten
3566e05a5 2024-01-07 Wolfgang Reissenberger Bugfix realign after MF when paused
db539accd 2024-01-07 Wolfgang Reissenberger Bug fix for resetting dithering counter
